Введение
No contents entries on this page
Contents
Topic functions menu
Menu
This is the first topic
Go to home topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • No expanding elements on this page Show/Hide Expanders

Advanced Email Parser (сокращенно AEP) - это программа обработки входящих сообщений электронной почты. С помощью AEP возможно автоматизировать следующие процессы:

·обработку форм заказов и анкет, присланных по электронной почте

·отправку ответов клиенту

·заполнение баз данных заказов

·сортировку и перенаправление потоков почтовых сообщений

·составление списков рассылок, ведение разнообразной статистики

·создание служб автоматических ответов, почтовых роботов

·резервное копирование важных почтовых сообщений

AEP может быть интегрирован с разнообразным программным обеспечением, поддерживающим технологию ActiveX. Это делает возможным обработку данных во внешних модулях сторонних разработчиков. Интеграция осуществляется с помощью скриптовых языков на основе технологии Microsoft Active Scripting. Возможно использование большинства скриптовых языков, в том числе - JScript и VBScript.

AEP является высокоэффективным и надежным средством обработки почтовых сообщений, с высокой пропускной способностью и низкими временными расходами на обработку сообщений.

AEP обладает дружественным графическим интерфейсом. Средство отладочных сообщений и журнал ошибок упрощают настройку программы. В программе реализована контекстная помощь и окно подсказок.

© 2006 - 2014 Mediatwins s.r.o. All rights reserved.


Введение
No contents entries on this page
Menu
Go to previous topic
Go to home topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • No expanding elements on this page Show/Hide Expanders

Как работает AEP?

AEP загружает сообщения с почтовых серверов и обрабатывает их с помощью списка настраиваемых пользователем правил. Правила состоят из фильтров и компонентов обработки.

При загрузке сообщения, AEP с помощью фильтров определяет, нужно ли его обрабатывать. Если сообщение нужно обрабатывать, AEP добавляет его в очередь обработки. После окончания сеанса работы с почтовым сервером, AEP обрабатывает все сообщения из очереди.

Компоненты обработки служат для извлечения, изменения и сохранения данных из сообщений. Для обмена извлеченными данными между компонентами обработки используются переменные.

AEP позволяет:

·извлекать данные построчно, поблочно, с использованием регулярных выражений

·изменять данные с помощью шаблонов

·сохранять данные в файлы, в базы данных

·отправлять данные по электронной почте

·обрабатывать данные с помощью скриптовых языков

·передавать данные во внешние программы

Правила и компоненты обработки применяются в порядке следования в списках. Для проверки правильности работы правил используются отладочные сообщения. Отладочное сообщение можно создать загрузкой из файла или с помощью захвата входящих сообщений.

Настройка и отладка правил производится в окне Конструктор.

Доступ к почтовым серверам осуществляется с помощью учетных записей. Учетные записи хранят настройки подключения к серверу и расписание подключений.

AEP поддерживает два режима работы с учетными записями: Посредника и Сборщика.

Режим Посредника

При работе с учетной записью в режиме Посредника, AEP выступает в роли посредника между почтовым сервером и почтовым клиентом, обрабатывая загружаемые клиентом сообщения. Клиент подключается к AEP, а AEP подключается к почтовому серверу с помощью учетной записи.

Режим Сборщика

При работе с учетной записью в режиме Сборщика, AEP подключается к почтовому серверу самостоятельно. В зависимости от настроек учетной записи, AEP может удалять или не удалять на сервере обработанные сообщения. В любом случае, сообщения обрабатываются AEP только один раз.

Настройка учетных записей производится в окне Учетные Записи.

События, происходящие во время работы программы, записываются в Журнал.

Журнал можно просмотреть в окне Журнал.

Смотри также

Компоненты Правил

Окно Учетные Записи

Окно Конструктор

Окно Журнал

Настройка Почтовых Клиентов


Главное Меню
No contents entries on this page
Menu
Go to previous topic
Go to home topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • No expanding elements on this page Show/Hide Expanders

Из Главного Меню осуществляется быстрый доступ ко всем основным функциям программы.

Меню | Значок | Команда | Описание
File | iconfile | Save | сохранение изменений
 |  | Import Rule(s) | загрузка списка правил из текстового файла
 |  | Export All Rules | сохранение списка правил в текстовый файл
 |  | Import Account(s) |
 |  | Export All Accounts |
 |  | Exit | выход из программы
Edit | iconcut | Cut | вырезать выделение в буфер обмена
 | iconcopy | Copy | копировать выделение в буфер обмена
 | iconpaste | Paste | вставить содержимое буфера обмена
View |  | Toolbar | скрыть/показать панель инструментов
 |  | Status Bar | скрыть/показать строку состояния
 |  | Program Tips | скрыть/показать окно подсказок
 | iconconfig | Settings | редактирование настроек AEP
Tools |  | Check Account | проверить учетную запись из списка включенных учетных записей
 | iconmail | Check All Accounts | проверить все включенные учетные записи
 | iconcatch | Catch Message | включить режим захвата одного входящего сообщения
 | iconcatchall | Catch All Messages | включить режим захвата всех входящих сообщений
 | iconcatchload | Load Debug Message | загрузить отладочное сообщение из файла в формате rfc822
 | icondebug | Debug in the Current Rule | отладить текущее правило сообщением
 | icondebugall | Debug in All Rules | отладить все правила сообщением
 | iconviewlog | View Log | Просмотр файла журнала
 | iconclearlog | Clear Log | Очистить файл журнала


Общие настройки
No contents entries on this page
Menu
Go to previous topic
Go to home topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • No expanding elements on this page Show/Hide Expanders

Эта вкладка содержит общие настройки AEP.

Load program at Windows startup

Включает запуск программы при запуске Windows.

Autosave configuration on exit

Включает автоматическое сохранение изменений в конфигурации при выходе из программы.

Auto expand tree on drag item over

Включает автоматическое распахивание дерева в окне Конструктора при перетаскивании в него компонента

Dump Rule Code into log

Включает запись кода правила в лог при отладке сообщения или если включен Detailed чекбокс в настройках учетной записи.


Настройки режима Посредника
No contents entries on this page
Menu
Go to previous topic
Go to home topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • No expanding elements on this page Show/Hide Expanders

Эта вкладка содержит свойства работы с учетными записями в режиме Посредника.

Допускать соединения с IP

Задает маску IP адресов, для которых разрешено подключение почтовых клиентов к AEP; *.*.*.* для подключения с любого IP адреса.

Адрес POP3 сервера AEP

Указывает адрес, который используется для соединения почтовым клиентом.

TCP порт для соединений

Задает номер порта, по которому подключаются почтовые клиенты. Обычно этот номер равен 110.

Детальный Журнал

Включает запись отладочной информации во время обработки входящих сообщений.


Настройки почтового сервера (SMTP Server)
No contents entries on this page
Menu
Go to previous topic
Go to home topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • No expanding elements on this page Show/Hide Expanders

Advanced Email Parser может выступать в роли SMTP сервера электронной почты. Встроенный в программу почтовый сервер может выполнять всю работу, связанную с получением сообщений.

Использование внутреннего почтового сервера дает немало преимуществ. Например, отпадает необходимость каждые 5 секунд опрашивать все почтовые ящики, чтобы вовремя получить срочную, высокоприоритетную почту. Вместо этого, вы можете посылать электронную почту на встроенный SMTP сервер AEP. Это позволяет избавить POP3 сервера от лишней нагрузки, а также избежать разрастания файлов протокола работы AEP. При обработке почты SMTP сервер удобно использовать с компонентом Message Sender для дальнейшей пересылки писем.

Примечание: Внутренний SMTP сервер не принимает сообщений во время обработки. Не допускается пересылка сообщений из компонентов обработки (например, SMTP Sender или Message Sender) , скриптов или внешних программ.

Для запуска встроенного почтового сервера необходимо задать его параметры настройки, описанные ниже.

Enable SMTP Server

Установите флажок, чтобы запустить внутренний почтовый сервер.

Domain Name

Почтовые адреса с этим доменом будут считаться локальными.

Server Name

Имя учетной записи почтового сервера. По этому имени можно определить, что сообщение пришло с внутреннего почтового сервера, используя в правилах обработки фильтр Account Filter.

Allow Connection From

Список сетевых адресов, с которых разрешается доступ к серверу. Все допустимые группы сетевых IP адресов перечисляются через запятую, можно использовать маски (wildcards) для адресов.

Listen on Address

Почтовый сервер будет получать запросы через выбранный из списка сетевой адрес.

Listen on Port

Номер порта, на который будут приходить запросы к почтовому серверу.

Timeout

Timeout of waiting client command.

Process All Incoming Messages

Установите флажок, чтобы сервер обрабатывал все входящие сообщения. В противном случае, почта, не принадлежащая домену, указанному в параметре Domain Name, не принимается.

Detailed Log

Установите флажок, чтобы SMTP сервер записывал в файл протокола работы подробную информацию о своих действиях.

Смотри также

SMTP Sender

Message Sender

SMS Sender

SMTP


Настройки журнала
No contents entries on this page
Menu
Go to previous topic
Go to home topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • No expanding elements on this page Show/Hide Expanders

Эта вкладка содержит настройки журнала.

Rotate logs (Max stored archives)

Enable log rotation, instead of cleaning. Set the maximum number of stored archives in the folder.

Log file location

Путь где AEP будет хранить лог.

Cleanup logs at startup

Включает очищение журнала сразу после запуска AEP.

Cleanup logs at shutdown

Включает очищение журнала сразу перед остановом AEP. Если этот режим выключен, журнал очищается позже.

Clean up log at Size in Mb (max - 1024)

Размер лога в мегабайтах по достижении которого будет произведена очистка

Cleaning frequency

Частота очистки лога. От одного часа до 7 дней.

Clean now

Очистить лог немедленно.


Настройки подтверждений
No contents entries on this page
Menu
Go to previous topic
Go to home topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • No expanding elements on this page Show/Hide Expanders

На этой вкладке Вы можете настроить подтверждения, которые будут запрошены во время работы программы.

Группа Delete Prompts позволяет Вам определить какие подтверждения будут запрошены во время работы программы.

Prompt to delete account

Включает подтверждение по удалению учетной записи.

Prompt to delete rule

Включает подтверждение по удалению правила.

Prompt to delete component

Включает подтверждение по удалению компонента.

Prompt to delete component folder

Включает подтверждение по удалению папки компонентов.

Группа Alert Prompts позволяет Вам настроить подтверждения ошибок, которые будут запрошены во время работы программы.

Prompts for internal scripting errors

Включает подтверждение об внутренней ошибке при выполнении скриптового кода.

Prompts for File Writer

Включает подтверждение об ошибке во время работы File Writer. Типичная ошибка - "Невозможно создать файл".

Prompts for Database Access

Включает подтверждение об ошибке во время работы Database Access. Типичная ошибка - "Can't initialize OLEDB provider".


Globals Settings

TweakMarketing web site

Navigation: Работа с программой > Настройка свойств программы:

Глобальные переменные
No contents entries on this page
Contents
Topic functions menu
Menu
Go to previous topic
Go to home topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • No expanding elements on this page Show/Hide Expanders

На этой вкладке вы можете определить глобальные переменные. Глобальные переменные доступны всем компонентам обработки всех правил и могут использоваться для обмена данными между компонентами и правилами.

Каждая глобальная переменная имеет интервал действия. В начале интервала действия переменная инициализируется начальным значением. В пределах интервала действия все компоненты обработки из любого правила могут считывать и изменять ее текущее значение.

На вкладке содержится список глобальных переменных в виде таблицы, а также кнопки редактирования этого списка.

Список глобальных переменных

Список глобальных переменных представляет собой таблицу со следующими столбцами:

Type

Тип глобальной переменной в зависимости от интервала действия.

Name

Имя глобальной переменной, которое помещается в общий список переменных. По умолчанию, имя помещается в группу Variables.

Current

Текущее значение глобальной переменной.

Default

Начальное значение глобальной переменной, которое присваивается ей при инициализации в начале каждого интервала действия.

Comment

Текстовый комментарий.

Ведение списка глобальных переменных

Чтобы создать глобальную переменную, нажмите кнопку iconnew В появившейся форме задайте соответствующие параметры и нажмите кнопку OK. В этой же форме можно указать место переменной в общем списке переменных. Для этого нажмите кнопку вызова редактора списка VarGroup справа от поля Variable Name.

Чтобы изменить параметры глобальной переменной, дважды щелкните на ней в списке или нажмите кнопку iconedit. В появившейся форме внесите требуемые изменения параметров и нажмите кнопку OK.

Чтобы удалить глобальную переменную, нажмите кнопку icondel.

Типы глобальных переменных

В зависимости от интервала действия существует 5 типов глобальных переменных.

Тип | Интервал действия | Инициализация | Типичные применения
Message | Обработка текущего сообщения | Перед обработкой сообщения первым правилом | Передача данных между правилами
Session | Текущая сессия приема сообщений | Перед обработкой первым правилом первого сообщения в текущей сессии | Накопление статистики, промежуточных результатов во время приема сообщений
Program | Текущий запуск AEP | При запуске AEP | Хранение наиболее общих параметров, статистических результатов
Permanent | Постоянно хранится в реестре, длина - не более 16384 байт | При создании переменной или при изменении параметра Default Value | Хранение параметров, необходимых после перезапуска программы.
Startup | Текущий запуск AEP | При запуске AEP, значениями, задаваемыми вручную. Для каждой переменной этого типа выводится диалоговое окно с полем ввода. В качестве названия поля ввода используется значение параметра Comment в описании переменной. Необходимо ввести значение в поле ввода и нажать кнопку OK. В противном случае для инициализации будет использовано Default Value | Хранение общих параметров, задаваемых вручную

Смотри также

Переменные


Дополнительные настройки
No contents entries on this page
Menu
Go to previous topic
Go to home topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • No expanding elements on this page Show/Hide Expanders

На этой вкладке Вы можете задать дополнительные настройки программы.

Queue Processing Priority

Установка приоритета очереди обработки. Если Вы хотите уменьшить занимаемое при обработке процессорное время, то сдвиньте ползунок в сторону Lowest. Если Вы хотите, чтобы сообщения обрабатывались быстрее, то сдвиньте ползунок в сторону Highest. При установке максимального приоритета возможно медленное выполнение других программ, так что будьте осторожны.

International Settings

Установка национальных кодировок по умолчанию для входящих сообщений

Default Encoding

Устанавливает кодировку, используемую по умолчанию при получении сообщений. Использовать кодировку по умолчанию для всех сообщений

Use default encoding for all incoming messages

Установите только в том случае, если вы часто получаете неправильные сообщения, когда установки языка в сообщениях не совпадают с кодировкой тела письма.


Введение
No contents entries on this page
Menu
Go to previous topic
Go to home topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • No expanding elements on this page Show/Hide Expanders

Предназначено для управления списком учетных записей. Дополнительно показывает статистику обработанных сообщений и дату последнего обращения к почтовому серверу для каждой учетной записи.

Список учетных записей содержит следующие колонки:

Колонка | Описание
Enable | показывает включена ли учетная запись
Name | показывает имя учетной записи
Processed | показывает количество обработанных сообщений
Last Checked | показывает время последнего обращения к почтовому серверу

Со списком учетных записей возможны следующие операции:

Значок | Сочетание клавиш | Описание
iconnew | Ctrl-N | добавить новую учетную запись
icondel | Del | удалить существующую учетную запись
iconprop | Alt-Enter | вызвать окно свойств выделенной учетной записи
 | Space | включить/выключить учетную запись

Возможно создавать учетные записи следующих типов:

Тип | Описание
Почта Интернет POP3 | предназначена для загрузки сообщений с почтовых серверов по протоколу POP3.
Почта Интернет IMAP | предназначена для загрузки сообщений с почтовых серверов по протоколу IMAP.
Учетная запись для Файлов Сообщений | предназначена для обработки сообщений, сохраненных в файлы. Формат таких сообщений должен быть совместимым с RFC822.
Учетная запись для Файла почтового ящика Unix | предназначена для обработки сообщений, хранящихся в файле почтового ящика Unix.
Учетная запись для папки Outlook Express / Windows Mail | предназначена для обработки сообщений, сохраненных в папке Outlook Express / Windows Mail
Учетная запись Qualcomm Eudora | предназначена для обработки сообщений из папок Qualcomm Eudora.
Учетная запись хранилища MAPI сообщений | предназначена для обработки сообщений из почтовых программ, поддерживающих MAPI (MS Outlook, MS Exchange)
Учетная запись для папки Inbox в Simple MAPI | предназначена для обработки сообщений из почтовых программ, поддерживающих Simple MAPI (MS Outlook Express, Mozilla Thunderbird, TheBat и т.д.)

Смотри также

Окно Конструктор

Окно Журнал


Почта Интернет POP3

TweakMarketing web site

Navigation: Работа с программой > Окно Учетных Записей > Учетная запись POP3:

Введение
No contents entries on this page
Contents
Topic functions menu
Menu
Go to previous topic
Go to home topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • No expanding elements on this page Show/Hide Expanders

Учетная запись этого типа предназначена для загрузки сообщений с почтовых серверов.

Диалог свойств учетной записи содержит следующие вкладки

General | Позволяет редактировать имя учетной записи и параметры обработки сообщений.
Server | Позволяет редактировать адрес POP3 сервера, имя входа и пароль для доступа к почтовому серверу.
Advanced | Содержит дополнительные свойства учетной записи для подключения к почтовому серверу.
Processing | Позволяет управлять порядком получения сообщений и их дальнейшей обработки.
Scheduler | Содержит свойства планировщика.

Смотри также

Окно Учетныx Записей

POP3


Вкладка General
No contents entries on this page
Menu
Go to previous topic
Go to home topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • No expanding elements on this page Show/Hide Expanders

Эта вкладка содержит основные свойства учетной записи. Позволяет редактировать имя учетной записи и параметры обработки сообщений.

Name

Задает имя учетной записи.

Process Only New Messages

Включает/отключает обработку только новых сообщений.

Remove Messages After Processing

Включает/отключает удаление сообщений на сервере при работе в режиме Сборщика.

Detailed Log

Включает/отключает запись отладочной информации во время обработки входящей почты.

Clear Messages History

Очищает список полученных сообщений. Это дает возможность обработать полученные сообщения повторно.

Смотри также

Учетная запись POP3

Окно Учетных Записей


Вкладка Server
No contents entries on this page
Menu
Go to previous topic
Go to home topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • No expanding elements on this page Show/Hide Expanders

Эта вкладка содержит настройки почтового сервера. Позволяет редактировать адрес POP3 сервера, имя входа и пароль для доступа к почтовому серверу.

Server name

Задает адрес POP3 сервера.

Login Name

Задает имя входа на почтовый сервер.

Password

Задает пароль для подключения к серверу.

Примечание

При работе с учетной записью в режиме Посредника, пароль задавать не нужно.

Connection

Список со следующими параметрами

Regular

Используется обычный POP3 протокол.

Secure to regular port (STARTTLS)

STARTTLS это расширение обычного протокола с помощью которого можно изменить обычный протокол на шифрованный (TLS) без использования дополнительного порта соединения.

Secure to dedicated port (TLS)

Шифрованное соединение для POP3 используя Transport Layer Security (TLS).

Port (POP3)

Задает номер порта почтового сервера. Для POP3 этот номер обычно равен 110 или 995 для соединения по TLS.

Use Default

Установить порт по умолчанию для текущих настроек.

Test Account

Проверяет введенные настройки подключением к серверу.

Смотри также

Учетная запись POP3

Окно Учетных Записей

STARTTLS

TLS


Вкладка Advanced
No contents entries on this page
Menu
Go to previous topic
Go to home topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • No expanding elements on this page Show/Hide Expanders

Эта вкладка содержит дополнительные свойства учетной записи для подключения к почтовому серверу.

Server Timeouts

Указывает, как долго ожидать ответ от почтового сервера, прежде чем прекращать попытки получать почтовые сообщения. Если у Вас быстрое соединение, сдвиньте ползунок в сторону Short. Если у вас медленное соединение или очень занятый почтовый сервер, сдвиньте ползунок а сторону Long.

Смотри также

Учетная запись POP3

Окно Учетных Записей


Почта Интернет IMAP

TweakMarketing web site

Navigation: Работа с программой > Окно Учетных Записей > Учетная запись IMAP:

Введение
No contents entries on this page
Contents
Topic functions menu
Menu
Go to previous topic
Go to home topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • No expanding elements on this page Show/Hide Expanders

Учетная запись этого типа предназначена для загрузки сообщений с почтовых серверов по протоколу IMAP.

Диалог свойств учетной записи содержит следующие вкладки

General | Позволяет редактировать имя учетной записи и параметры обработки сообщений.
Server | Позволяет редактировать адрес IMAP сервера, имя входа и пароль для доступа к почтовому серверу.
Folders | Позволяет указывать какие IMAP папки будут обрабатываться.
Processing | Позволяет управлять порядком получения сообщений и их дальнейшей обработки.
Scheduler | Содержит свойства планировщика.
Advanced | Содержит дополнительные свойства учетной записи для подключения к почтовому серверу.

Смотри также

Окно Учетныx Записей

IMAP


Вкладка General
No contents entries on this page
Menu
Go to previous topic
Go to home topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • No expanding elements on this page Show/Hide Expanders

Эта вкладка содержит основные свойства учетной записи. Позволяет редактировать имя учетной записи и параметры обработки сообщений.

Account Name

Задает имя учетной записи.

Process Only New Messages

Включает/отключает обработку только новых сообщений.

Process Only Unread Messages

Включает/отключает обработку только непрочитаннах сообщений.

Process Only Flagged Messages

Включает/отключает обработку только помеченных сообщений.

Process Only Answered Messages

Включает/отключает обработку только сообщений, на которые были ответы.

Remove Messages After Processing

Включает/отключает удаление сообщений на сервере при работе в режиме Сборщика.

Detailed Log

Включает/отключает запись отладочной информации во время обработки входящей почты.

Clear Messages History

Очищает список полученных сообщений. Это дает возможность обработать полученные сообщения повторно.

Смотри также

Учетная запись IMAP

Окно Учетных Записей


Вкладка Server
No contents entries on this page
Menu
Go to previous topic
Go to home topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • No expanding elements on this page Show/Hide Expanders

Эта вкладка содержит настройки почтового сервера. Позволяет редактировать адрес IMAP сервера, имя входа и пароль для доступа к почтовому серверу.

Server name

Задает адрес IMAP сервера.

Login Name

Задает имя входа на почтовый сервер.

Password

Задает пароль для подключения к серверу.

Примечание

При работе с учетной записью в режиме Посредника, пароль задавать не нужно.

Connection

Список со следующими параметрами

Regular

Используется обычный IMAP протокол.

Secure to regular port (STARTTLS)

STARTTLS это расширение обычного протокола с помощью которого можно изменить обычный протокол на шифрованный (TLS) без использования дополнительного порта соединения.

Secure to dedicated port (TLS)

Шифрованное соединение для IMAP используя Transport Layer Security (TLS).

Port (POP3)

Задает номер порта почтового сервера. Для IMAP этот номер обычно равен 143 или 993 для соединения по TLS.

Use Default

Установить порт по умолчанию для текущих настроек.

Test Account

Проверяет введенные настройки подключением к серверу.

Смотри также

Учетная запись IMAP

Окно Учетных Записей

STARTTLS

TLS


Вкладка Folders
No contents entries on this page
Menu
Go to previous topic
Go to home topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • No expanding elements on this page Show/Hide Expanders

Эта вкладка позволяет указывать папку, сообщения из которой будут получаться для обработки.

Message Folder

Задает имя папки, сообщения из которой будут обрабатываться. Если не включено, то в режиме Сборщика обрабатываются все папки. Для работы в режима Посредника нужно всегда задавать имя какой-либо папки. Список папок получается с IMAP сервера, т.е. необходимо, чтобы были введены корректные настройки на вкладке Server.

Choose different folder

Выбор папки отлично от используемой по умолчанию INBOX.

Process Subfolders

Включает обработку вложенных папок для указанной папки.

Смотри также

Учетная запись IMAP

Окно Учетных Записей


Вкладка Advanced
No contents entries on this page
Menu
Go to previous topic
Go to home topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • No expanding elements on this page Show/Hide Expanders

Эта вкладка содержит дополнительные свойства учетной записи для подключения к почтовому серверу.

Server Timeouts

Указывает, как долго ожидать ответ от почтового сервера, прежде чем прекращать попытки получать почтовые сообщения. Если у Вас быстрое соединение, сдвиньте ползунок в сторону Short. Если у вас медленное соединение или очень занятый почтовый сервер, сдвиньте ползунок а сторону Long.

Смотри также

Учетная запись IMAP

Окно Учетных Записей


Учетная запись хранилища MAPI сообщений

TweakMarketing web site

Navigation: Работа с программой > Окно Учетных Записей > Учетная запись хранилища MAPI сообщений:

Введение
No contents entries on this page
Contents
Topic functions menu
Menu
Go to previous topic
Go to home topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • No expanding elements on this page Show/Hide Expanders

Учетные записи этого типа используются для обработки сообщений из почтовых программ, поддерживающих MAPI (MS Outlook, MS Exchange).

Диалог свойств учетной записи содержит следующие вкладки

General | Позволяет редактировать имя учетной записи и параметры обработки сообщений.
Broker | Позволяет разрешить доступ к учетной записи с помощью почтового клиента и задать имя входа и пароль.
Folder | Позволяет задать имя MAPI папки, которая содержит обрабатываемые сообщения.
Advanced | Позволяет задать настройки MAPI.
Processing | Позволяет управлять порядком получения сообщений и их дальнейшей обработки.
Scheduler | Содержит свойства планировщика.

Смотри также

Учетная запись для папки Inbox в Simple MAPI

Окно Учетныx Записей

MAPI


Вкладка General
No contents entries on this page
Menu
Go to previous topic
Go to home topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • No expanding elements on this page Show/Hide Expanders

Эта вкладка содержит основные свойства учетной записи. Позволяет редактировать имя учетной записи и параметры обработки сообщений.

Account Name

Задает имя учетной записи.

Process Only New Messages

Включает/отключает обработку только новых сообщений.

Process Only Unread Messages

Включает/отключает обработку только непрочитанных сообщений.

Include Attachments

Включает/отключает получение вложений вместе с сообщениями.

Detailed Log

Включает/отключает запись отладочной информации во время обработки сообщений.

Clear Messages History

Очищает список полученных сообщений. Это дает возможность обработать полученные сообщения повторно.

Смотри также

Учетная запись хранилища MAPI сообщений

Окно Учетных Записей


Вкладка MAPI
No contents entries on this page
Menu
Go to previous topic
Go to home topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • No expanding elements on this page Show/Hide Expanders

Эта вкладка позволяет задавать настройки MAPI. Также содержит дополнительные свойства учетной записи, используемые для подключения к почтовому серверу.

Select Mail Client

Задает почтовую программу, содержащую обрабатываемые сообщения.

Profile Name

Задает имя MAPI профиля.

Profile Password

Задает пароль, используемый для соединения с MAPI профилем.

Test Account

Проверяет учетную запись, используя введенные настройки.

Not use MAPI Transport Headers property

Не использовать значение свойства MAPI PR_TRANSPORT_MESSAGE_HEADERS

Not use Microsoft MAPI to MIME Converter

Не использовать метод интерфейса MAPI MAPIToMIMEStm, а выполнять конвертацию собственной функцией.

Смотри также

Учетная запись хранилища MAPI сообщений

Окно Учетных Записей


Вкладка Folder
No contents entries on this page
Menu
Go to previous topic
Go to home topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • No expanding elements on this page Show/Hide Expanders

Позволяет задать папку сообщений.

Messages Folder

Задает MAPI папку, которая содержит обрабатываемые сообщения.

Process Subfolders

Включает обработку вложенных папок для указанной папки.

Смотри также

Учетная запись хранилища MAPI сообщений

Окно Учетных Записей


Вкладка Broker
No contents entries on this page
Menu
Go to previous topic
Go to home topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • No expanding elements on this page Show/Hide Expanders

Эта вкладка содержит настройки, которые используются почтовым клиентом при использовании учетной записи в режиме Посредника. Позволяет разрешить доступ к учетной записи с помощью почтового клиента и задать имя входа и пароль.

Enable Login From Mail Clients

Включает/отключает возможность использования учетной записи почтовым клиентом.

Login Name

Задает имя входа, используемое почтовым клиентом при подключении.

Password

Задает пароль, используемый почтовым клиентом при подключении.

Смотри также

Учетная запись хранилища MAPI сообщений

Окно Учетных Записей


Учетная запись для папки Inbox в Simple MAPI

TweakMarketing web site

Navigation: Работа с программой > Окно Учетных Записей > Учетная запись для папки Inbox в Simple MAPI:

Введение
No contents entries on this page
Contents
Topic functions menu
Menu
Go to previous topic
Go to home topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • No expanding elements on this page Show/Hide Expanders

Этот тип учетной записи используется для обработки сообщений из почтовых програм, поддерживающих Simple MAPI (MS Outlook, MS Exchange, Outlook Express, Mozilla Thunderbird, The Bat!, и т.д.).

Диалог свойств учетной записи содержит следующие вкладки

General | Позволяет редактировать имя учетной записи и параметры обработки сообщений.
Broker | Эта вкладка содержит настройки, которые используются почтовым клиентом при использовании учетной записи в режиме Посредника.
MAPI | Эта вкладка позволяет задавать настройки MAPI.
Processing | Эта вкладка позволяет управлять порядком получения сообщений и их дальнейшей обработки.
Scheduler | Эта вкладка содержит свойства планировщика.

Смотри также

Учетная запись хранилища MAPI сообщений

Окно Учетныx Записей

Simple MAPI


Вкладка General
No contents entries on this page
Menu
Go to previous topic
Go to home topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • No expanding elements on this page Show/Hide Expanders

Эта вкладка содержит основные свойства учетной записи. Позволяет редактировать имя учетной записи и параметры обработки сообщений.

Account Name

Задает имя учетной записи.

Process Only New Messages

Включает/отключает обработку только новых сообщений.

Process Only Unread Messages

Включает/отключает обработку только непрочитанных сообщений.

Include Attachments

Включает/отключает получение вложений вместе с сообщениями.

Detailed Log

Включает/отключает запись отладочной информации во время обработки сообщений.

Clear Messages History

Очищает список полученных сообщений. Это дает возможность обработать полученные сообщения повторно.

Смотри также

Учетная запись для папки Inbox в Simple MAPI

Окно Учетных Записей


Вкладка Broker
No contents entries on this page
Menu
Go to previous topic
Go to home topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • No expanding elements on this page Show/Hide Expanders

Эта вкладка содержит настройки, которые используются почтовым клиентом при использовании учетной записи в режиме Посредника. Позволяет разрешить доступ к учетной записи с помощью почтового клиента и задать имя входа и пароль.

Enable Login From Mail Clients

Включает/отключает возможность использования учетной записи почтовым клиентом.

Login Name

Задает имя входа, используемое почтовым клиентом при подключении.

Password

Задает пароль, используемый почтовым клиентом при подключении.

Смотри также

Учетная запись для папки Inbox в Simple MAPI

Окно Учетных Записей


Вкладка MAPI
No contents entries on this page
Menu
Go to previous topic
Go to home topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • No expanding elements on this page Show/Hide Expanders

Эта вкладка позволяет задавать настройки MAPI. Также содержит дополнительные свойства учетной записи, используемые для подключения к почтовому серверу.

Select Mail Client

Задает почтовую программу, содержащую обрабатываемые сообщения.

Profile Name

Задает имя MAPI профиля.

Profile Password

Задает пароль, используемый для соединения с MAPI профилем.

Test Account

Проверяет учетную запись, используя введенные настройки.

Смотри также

Учетная запись для папки Inbox в Simple MAPI

Окно Учетных Записей


Учетная Запись для Файлов Сообщений

TweakMarketing web site

Navigation: Работа с программой > Окно Учетных Записей > Учетная запись для файлов сообщений:

Введение
No contents entries on this page
Contents
Topic functions menu
Menu
Go to previous topic
Go to home topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • No expanding elements on this page Show/Hide Expanders

Учетная запись этого типа предназначена для обработки сообщений, сохраненных в файлы. Формат таких сообщений должен быть совместимым с RFC822.

Диалог свойств учетной записи содержит следующие вкладки

General | Позволяет редактировать имя учетной записи и параметры обработки сообщений.
Server | Позволяет разрешить доступ к учетной записи с помощью почтового клиента и задать имя входа и пароль.
Files | Позволяет задать папку с сообщениями, маску файлов сообщений и имя файла блокировки.
Advanced | Содержит список дополнительных файлов блокировки.
Processing | Позволяет управлять порядком получения сообщений и их дальнейшей обработки.
Scheduler | Содержит свойства планировщика.

Смотри также

Окно Учетныx Записей

RFC822


Вкладка General
No contents entries on this page
Menu
Go to previous topic
Go to home topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • No expanding elements on this page Show/Hide Expanders

Эта вкладка содержит основные свойства учетной записи. Позволяет редактировать имя учетной записи и параметры обработки сообщений.

Account Name

Задает имя учетной записи.

Process Only New Messages

Включает/отключает обработку только новых файлов с сообщениями.

Remove Messages After Processing

Включает/отключает удаление обработанных файлов сообщений при работе в режиме Сборщика.

Detailed Log

Включает/отключает запись отладочной информации во время обработки файлов с сообщениями.

Clear Messages History

Очищает список полученных сообщений. Это дает возможность обработать полученные сообщения повторно.

Смотри также

Учетная Запись для Файлов Сообщений

Окно Учетных Записей


Вкладка Broker
No contents entries on this page
Menu
Go to previous topic
Go to home topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • No expanding elements on this page Show/Hide Expanders

Эта вкладка содержит настройки, которые используются почтовым клиентом при использовании учетной записи в режиме Посредника. Позволяет разрешить доступ к учетной записи с помощью почтового клиента и задать имя входа и пароль.

Enable Login From Mail Clients

Включает/отключает возможность использования учетной записи почтовым клиентом.

Login Name

Задает имя входа, используемое почтовым клиентом при подключении.

Password

Задает пароль, используемый почтовым клиентом при подключении.

Смотри также

Учетная Запись для Файлов Сообщений

Окно Учетных Записей


Вкладка Folders
No contents entries on this page
Menu
Go to previous topic
Go to home topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • No expanding elements on this page Show/Hide Expanders

Позволяет задать папку с сообщениями, маску файлов сообщений и имя файла блокировки, служащего для синхронизации работы с другими программами, использующими файлы сообщений.

Messages Directory

Задает папку, в которой находятся файлы сообщений.

Messages Mask

Включает использование маски файлов сообщений. По умолчанию обрабатываются все файлы в папке.

Custom Lock Files

Включает использование файла блокировки. Если в имени файла путь не указан, то файл блокировки открывается в директории с файлами сообщений.

Смотри также

Учетная Запись для Файлов Сообщений

Окно Учетных Записей


Вкладка Advanced
No contents entries on this page
Menu
Go to previous topic
Go to home topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • No expanding elements on this page Show/Hide Expanders

Эта вкладка содержит список дополнительных файлов блокировки.

Additional Lock Files

Задает список дополнительных файлов блокировки. Если в имени файла блокировки не указан путь, то файл открывается в директории с файлами сообщений.

Смотри также

Учетная Запись для Файлов Сообщений

Окно Учетных Записей


Учетная Запись для Файла почтового ящика Unix
No contents entries on this page
Menu
Go to previous topic
Go to home topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • No expanding elements on this page Show/Hide Expanders

Учетная запись этого типа предназначена для обработки сообщений, хранящихся в файле почтового ящика Unix.

Диалог свойств учетной записи содержит следующие вкладки

General | Позволяет редактировать имя учетной записи и параметры обработки сообщений.
Server | Позволяет разрешить доступ к учетной записи с помощью почтового клиента и задать имя входа и пароль.
Files | Позволяет задать файл с сообщениями и имя файла блокировки.
Advanced | Содержит список дополнительных файлов блокировки.
Processing | Позволяет управлять порядком получения сообщений и их дальнейшей обработки.
Scheduler | Содержит свойства планировщика.

Смотри также

Окно Учетныx Записей

MBox


Вкладка General
No contents entries on this page
Menu
Go to previous topic
Go to home topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • No expanding elements on this page Show/Hide Expanders

Эта вкладка содержит основные свойства учетной записи. Позволяет редактировать имя учетной записи и параметры обработки сообщений.

Account Name

Задает имя учетной записи.

Process Only New Messages

Включает/отключает обработку только новых файлов с сообщениями.

Remove Messages After Processing

Включает/отключает удаление обработанных файлов сообщений при работе в режиме Сборщика.

Detailed Log

Включает/отключает запись отладочной информации во время обработки файлов с сообщениями.

Clear Messages History

Очищает список полученных сообщений. Это дает возможность обработать полученные сообщения повторно.

Смотри также

Учетная Запись для Файла почтового ящика Unix

Окно Учетных Записей


Вкладка Broker
No contents entries on this page
Menu
Go to previous topic
Go to home topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • No expanding elements on this page Show/Hide Expanders

Эта вкладка содержит настройки, которые используются почтовым клиентом при использовании учетной записи в режиме Посредника. Позволяет разрешить доступ к учетной записи с помощью почтового клиента и задать имя входа и пароль.

Enable Login From Mail Clients

Включает/отключает возможность использования учетной записи почтовым клиентом.

Login Name

Задает имя входа, используемое почтовым клиентом при подключении.

Password

Задает пароль, используемый почтовым клиентом при подключении.

Смотри также

Учетная Запись для Файла почтового ящика Unix

Окно Учетныx Записей


Вкладка Files
No contents entries on this page
Menu
Go to previous topic
Go to home topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • No expanding elements on this page Show/Hide Expanders

Позволяет задать файл с сообщениями и имя файла блокировки, служащего для синхронизации работы с другими программами, использующими файл с сообщениями.

Mailbox File

Задает имя файла почтового ящика.

Custom Lock Files

Включает использование файла блокировки. Если в имени файла путь не указан, то файл блокировки открывается в директории с файлами сообщений.

Смотри также

Учетная Запись для Файла почтового ящика Unix

Окно Учетныx Записей


Вкладка Advanced
No contents entries on this page
Menu
Go to previous topic
Go to home topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • No expanding elements on this page Show/Hide Expanders

Эта вкладка содержит список дополнительных файлов блокировки.

Additional Lock Files

Задает список дополнительных файлов блокировки. Если в имени файла блокировки не указан путь, то файл открывается в директории с файлами сообщений.

Смотри также

Учетная Запись для Файла почтового ящика Unix

Окно Учетныx Записей


Учетная запись для папки Outlook Express

TweakMarketing web site

Navigation: Работа с программой > Окно Учетных Записей > Учетная запись для папки Outlook Express / Windows Mail:

Введение
No contents entries on this page
Contents
Topic functions menu
Menu
Go to previous topic
Go to home topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • No expanding elements on this page Show/Hide Expanders

Учетная запись этого типа предназначена для обработки сообщений, сохраненных в папке Outlook Express версии 6 и выше или Windows Mail.

Диалог свойств учетной записи содержит следующие вкладки

General | Позволяет редактировать имя учетной записи и параметры обработки сообщений.
Server | Позволяет разрешить доступ к учетной записи с помощью почтового клиента и задать имя входа и пароль.
Files | Позволяет задать папку с сообщениями.
Processing | Позволяет управлять порядком получения сообщений и их дальнейшей обработки.
Scheduler | Содержит свойства планировщика.

Смотри также

Окно Учетныx Записей

Outlook Express

Windows Mail


Вкладка General
No contents entries on this page
Menu
Go to previous topic
Go to home topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • No expanding elements on this page Show/Hide Expanders

Эта вкладка содержит основные свойства учетной записи. Позволяет редактировать имя учетной записи и параметры обработки сообщений.

Account Name

Задает имя учетной записи.

Process Only New Messages

Включает/отключает обработку только новых сообщений.

Detailed Log

Включает/отключает запись отладочной информации во время обработки файлов с сообщениями.

Clear Messages History

Очищает список полученных сообщений. Это дает возможность обработать полученные сообщения повторно.

Смотри также

Учетная запись для папки Outlook Express

Окно Учетныx Записей


Вкладка Broker
No contents entries on this page
Menu
Go to previous topic
Go to home topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • No expanding elements on this page Show/Hide Expanders

Эта вкладка содержит настройки, которые используются почтовым клиентом при использовании учетной записи в режиме Посредника. Позволяет разрешить доступ к учетной записи с помощью почтового клиента и задать имя входа и пароль.

Enable Login From Mail Clients

Включает/отключает возможность использования учетной записи почтовым клиентом.

Login Name

Задает имя входа, используемое почтовым клиентом при подключении.

Password

Задает пароль, используемый почтовым клиентом при подключении.

Смотри также

Учетная запись для папки Outlook Express

Окно Учетныx Записей


Вкладка Files
No contents entries on this page
Menu
Go to previous topic
Go to home topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • No expanding elements on this page Show/Hide Expanders

Позволяет задать папку Ouutlook Express, которая содержит обрабатываемые сообщения.

Messages Folder

Задает папку Outlook Express / Windows Mail, которая содержит обрабатываемые сообщения.

Process Subfolders

Включает обработку вложенных папок. Работает только в режиме Сборщика.

Смотри также

Учетная запись для папки Outlook Express

Окно Учетныx Записей


Учетная запись Qualcom Eudora

TweakMarketing web site

Navigation: Работа с программой > Окно Учетных Записей > Учетная запись Qualcomm Eudora:

Учетная запись Qualcomm Eudora
No contents entries on this page
Contents
Topic functions menu
Menu
Go to previous topic
Go to home topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • No expanding elements on this page Show/Hide Expanders

Этот тип учетных записей используется для обработки сообщений из папок Qualcomm Eudora.

Диалог свойств учетной записи содержит следующие вкладки

General | Позволяет редактировать имя учетной записи и параметры обработки сообщений.
Broker | Эта вкладка содержит настройки, которые используются почтовым клиентом при использовании учетной записи в режиме Посредника.
Processing | Эта вкладка позволяет управлять порядком получения сообщений и их дальнейшей обработки.
Scheduler | Эта вкладка содержит свойства планировщика.

Смотри также

Окно Учетныx Записей

Qualcomm Eudora


Вкладка General
No contents entries on this page
Menu
Go to previous topic
Go to home topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • No expanding elements on this page Show/Hide Expanders

Эта вкладка содержит основные свойства учетной записи. Позволяет редактировать имя учетной записи и параметры обработки сообщений.

Account Name

Задает имя учетной записи.

Process Only New Messages

Включает/отключает обработку только новых сообщений.

Detailed Log

Включает/отключает запись отладочной информации во время обработки сообщений.

Clear Messages History

Очищает список полученных сообщений. Это дает возможность обработать полученные сообщения повторно.

Смотри также

Учетная запись Qualcomm Eudora

Окно Учетных Записей


Вкладка Broker
No contents entries on this page
Menu
Go to previous topic
Go to home topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • No expanding elements on this page Show/Hide Expanders

Эта вкладка содержит настройки, которые используются почтовым клиентом при использовании учетной записи в режиме Посредника. Позволяет разрешить доступ к учетной записи с помощью почтового клиента и задать имя входа и пароль.

Enable Login From Mail Clients

Включает/отключает возможность использования учетной записи почтовым клиентом.

Login Name

Задает имя входа, используемое почтовым клиентом при подключении.

Password

Задает пароль, используемый почтовым клиентом при подключении.

Смотри также

Учетная запись Qualcomm Eudora

Окно Учетных Записей


Вкладка Folder
No contents entries on this page
Menu
Go to previous topic
Go to home topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • No expanding elements on this page Show/Hide Expanders

Позволяет задать имя папки с сообщениями.

Messages Folder

Задает папку Eudora, которая содержит сообщения.

Смотри также

Учетная запись Qualcomm Eudora

Окно Учетных Записей


Вкладка Processing
No contents entries on this page
Menu
Go to previous topic
Go to home topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • No expanding elements on this page Show/Hide Expanders

Эта вкладка позволяет управлять порядком получения сообщений и их дальнейшей обработки.

Reconnect Every

Включает режим, при котором производится повторное соединение с почтовым сервером после получения заданного количества сообщений или через определенный промежуток времени. Количество сообщений и время задается ползунками.

Wait for Processing Queue

Включает обработку полученных сообщений перед повторным соединением.

Use in Broker Mode

Включает использование настроек этой вкладки при работе в режиме Посредника. Повторное соединение будет происходить только после получения заданного количества сообщений. Предел по времени соединения при работе в режиме Посредника не используется.

Смотри также

Окно Учетныx Записей


Вкладка Scheduler
No contents entries on this page
Menu
Go to previous topic
Go to home topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • No expanding elements on this page Show/Hide Expanders

Эта вкладка содержит свойства планировщика. Планировщик позволяет включать автоматическую проверку сообщений на почтовом сервере. Можно задавать конкретное время и периодичность подключений к почтовому серверу.

Check Every

Включает режим проверки сообщений через определенный промежуток времени.

Ползунками можно задать интервал подключений от 5 секунд до 24 часов.

Check Daily at

Включает режим проверки сообщений раз в день в определенное время.

Manual Checking

Отключает автоматическую проверку почты.

Смотри также

Окно Учетныx Записей


Окно Конструктор

TweakMarketing web site

Navigation: Работа с программой > Окно Конструктор:

Введение
No contents entries on this page
Contents
Topic functions menu
Menu
Go to previous topic
Go to home topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • No expanding elements on this page Show/Hide Expanders

Окно Конструктор предназначено для редактирования списка Правил. Слева находится Палитра Компонентов, справа находится окно Правил.

Палитра Компонентов показывает все установленные в AEP Компоненты Правил, окно Правил позволяет редактировать список Правил. Для удобства работы, компоненты в Палитре Компонентов сгруппированы в папки по их типу.

Компоненты правил создаются перетаскиванием мышью необходимого компонента из Палитры Компонентов в Окно Правил.

В окне Правил возможны следующие операции

Значок | Сочетание клавиш | Описание
iconcut | Ctrl-X | вырезать Правило/Папку/Компонент/Отладочное сообщение в буфер обмена
iconcopy | Ctrl-C | копировать Правило/Папку/Компонент/Отладочное сообщение в буфер обмена
iconpaste | Ctrl-P | вставить Правило/Папку/Компонент/Отладочное сообщение из буфера обмена
iconnew | Ctrl-N | добавить новое Правило
icondel | Del | удалить Правило/Папку/Компонент/Отладочное сообщение
iconprop | Alt-Enter | вызвать окно свойств Правила/Компонента
iconup | Alt-Up | перемещение Правила/Компонента вверх
icondown | Alt-Down | перемещение Правила/Компонента вниз
iconedit | F2 | редактирование имени Правила/Компонента

Смотри также

Окно Учетных Записей

Обозреватель Журнала

Фильтры

Компоненты обработки

Отладочные сообщения


Свойства Правила
No contents entries on this page
Menu
Go to previous topic
Go to home topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • No expanding elements on this page Show/Hide Expanders

Настройка основных свойства Правила.

Message Mark

Задает строку, которая добавляется в к теме сообщения при его обработке. Одинаковая для нескольких Правил строка будет добавлена только один раз.

Continue With the Next Rule

Включает продолжение обработки сообщения следующим правилом.

Realtime Processing

Включает режим работы, при котором обработка сообщений начинается сразу после получения сообщения. Сообщение, которое обрабатывается, НЕ будет помещено в очередь обработки.

Process Only Message Header

Включает режим обработки сообщений, при котором извлекается только заголовок сообщения. Этот режим позволяет значительно ускорить обработку сообщений большого размера, если нужны только данные, извлекаемые из их заголовков.

Смотри также

Окно Конструктор


Окно Журнал

TweakMarketing web site

Navigation: Работа с программой:

Обозреватель Журнала
No contents entries on this page
Contents
Topic functions menu
Menu
Go to previous topic
Go to home topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • No expanding elements on this page Show/Hide Expanders

Обозреватель Журнала предназначен для просмотра событий, произошедших во время работы с программой. При обработке сообщений, в журнал записываются результаты всех успешных и не успешных операций. Журнал также используются и при отладке правил.

Записи журнала сохраняются определенное количество дней, после чего они удаляются. Это количество задается на вкладке Журнал диалога настроек программы.

Смотри также

Настройки журнала

Отладка правил


Компоненты правил

TweakMarketing web site

Navigation: Компоненты правил:

Введение
No contents entries on this page
Contents
Topic functions menu
Menu
Go to previous topic
Go to home topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • No expanding elements on this page Show/Hide Expanders

Компоненты правил позволяют пользователю настраивать какие сообщения обрабатываются правилом, и как они обрабатываются.

В AEP есть следующие компоненты правил

Фильтры | Предназначены для определения необходимости обработки сообщения.
Компоненты обработки | Позволяют извлекать, изменять и сохранять данные из сообщений.
Отладочные сообщения | Используется для проверки правильности работы правил.

Вы можете отключить как правила, так и компоненты правил, для того чтобы они не использовались при обработке сообщений. Для этого необходимо включить флажок Disable в контекстном меню правила или компонента.

Отладочные сообщения можно загрузить из файла или захватить из потока входящих сообщений.


Filters

TweakMarketing web site

Navigation: Компоненты правил > Фильтры:

Введение
No contents entries on this page
Contents
Topic functions menu
Menu
Go to previous topic
Go to home topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • No expanding elements on this page Show/Hide Expanders

Фильтры - компоненты правил, предназначенные для определения необходимости обработки сообщения правилом. Фильтры применяются в порядке следования в списке. Если сообщение не проходит какой-либо фильтр, оно не обрабатывается правилом. Для фильтрации используются только данные из заголовка письма. Это сделано для того, чтобы не загружать сообщения целиком до того, пока не выяснено, надо ли обрабатывать сообщения.

Фильтры находятся в папке Filters в Палитре Компонентов.

В AEP есть следующие фильтры

Subject Filter | Проверяет наличие заданной строки в теме сообщения.
Sender Name Filter | Проверяет наличие заданной строки в имени отправителя сообщения.
Sender Email FIlter | Проверяет наличие заданной строки в адресе отправителя сообщения.
Recepient Name Filter | Проверяет наличие заданной строки в имени получателя сообщения.
Recepient Email Filter | Проверяет наличие заданной строки в адресе получателя сообщения.
Header Field Filter | Проверяет наличие заданной строки в указанном поле заголовка сообщения.
Size Filter | Предназначен для фильтрации сообщений по размеру.
Account Filter | Предназначен для фильтрации сообщений, которые загружаются с помощью определенной Учетной Записи.
Dictionary Filter | Проверяет наличие в указаном источнике текста слова или строки из словаря.
Filter Group | Позволяет объединять результаты работы нескольких фильтров или групп фильтров с помощью заданной в компоненте логической операции.

Для сообщений, полученных с помощью учетных записей, работающих в режиме Посредника, время проверки сообщения всеми фильтрами списка правил, не должно превышать таймаута почтового клиента.

Для сообщений, полученных с помощью учетных записей, работающих в режиме Сборщика, время проверки сообщения всеми фильтрами списка правил, не должно превышать таймаута почтового сервера.


Subject Filter
No contents entries on this page
Menu
Go to previous topic
Go to home topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • No expanding elements on this page Show/Hide Expanders

Проверяет наличие заданной строки в теме сообщения.

This criterion is NOT met if data...

Истина, если критерий проверки НЕ выполняется.

Contain

Строка, которая должна содержаться в теме сообщения.

Whole String

Проверка на полное совпадение темы сообщения с заданной строкой.

Match Case

Сравнение строк происходит с использованием регистра.

Use Wildcards

Строка для сравнения является маской.

Use Regular Expressions

Строка для сравнения содержит регулярные выражения.


Sender Email Filter
No contents entries on this page
Menu
Go to previous topic
Go to home topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • No expanding elements on this page Show/Hide Expanders

Проверяет наличие заданной строки в адресе отправителя сообщения.

This criterion is NOT met if data...

Истина, если критерий проверки НЕ выполняется.

Contains

Строка, которая должна содержаться в адресе отправителя.

Whole String

Проверка на полное совпадение адреса отправителя с заданной строкой.

Match Case

Сравнение строк происходит с использованием регистра.

Use Wildcards

Строка для сравнения является маской.

Use Regular Expressions

Строка для сравнения содержит регулярные выражения.


Sender Name Filter
No contents entries on this page
Menu
Go to previous topic
Go to home topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • No expanding elements on this page Show/Hide Expanders

Проверяет наличие заданной строки в имени отправителя сообщения.

This criterion is NOT met if data...

Истина, если критерий проверки НЕ выполняется.

Contains

Строка, которая должна содержаться в имени отправителя.

Whole String

Проверка на полное совпадение имени отправителя с заданной строкой.

Match Case

Сравнение строк происходит с использованием регистра.

Use Wildcards

Строка для сравнения является маской.

Use Regular Expressions

Строка для сравнения содержит регулярные выражения.


Header Field Filter
No contents entries on this page
Menu
Go to previous topic
Go to home topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • No expanding elements on this page Show/Hide Expanders

Проверяет наличие заданной строки в указанном поле заголовка сообщения.

This criterion is NOT met if data...

Истина, если критерий проверки НЕ выполняется.

Header field

Задает имя поля заголовка, в котором будет искаться строка. Например, для темы письма это будет поле Subject, а дате отправления соответствует поле Date.

Contain string

Задает строку, которая должна содержаться в значении поля заголовка.

Whole String

Включает проверку того, что поле заголовка полностью совпадает с искомой строкой.

Match Case

Сравнение строк происходит с использованием регистра.

Use Wildcards

Строка для сравнения является маской.

Use Regular Expressions

Строка для сравнения содержит регулярные выражения.

Примечание

Подробную информацию о названиях и содержимом полей заголовка сообщений электронной почты можно найти в RFC822 .


Recipient Email Filter
No contents entries on this page
Menu
Go to previous topic
Go to home topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • No expanding elements on this page Show/Hide Expanders

Проверяет наличие заданной строки в адресе получателя сообщения.

This criterion is NOT met if data...

Истина, если критерий проверки НЕ выполняется.

Contain

Строка, которая должна содержаться в адресе получателя.

Whole String

Проверка на полное совпадение адреса получателя с заданной строкой.

Match Case

Сравнение строк происходит с использованием регистра.

Use Wildcards

Строка для сравнения является маской.

Use Regular Expressions

Строка для сравнения содержит регулярные выражения.


Recipient Name Filter
No contents entries on this page
Menu
Go to previous topic
Go to home topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • No expanding elements on this page Show/Hide Expanders

Проверяет наличие заданной строки в имени получателя сообщения.

This criterion is NOT met if data...

Истина, если критерий проверки НЕ выполняется.

Contain

Строка, которая должна содержаться в имени получателя.

Whole String

Проверка на полное совпадение имени получателя с заданной строкой.

Match Case

Сравнение строк происходит с использованием регистра.

Use Wildcards

Строка для сравнения является маской.

Use Regular Expressions

Строка для сравнения содержит регулярные выражения.


Size Filter
No contents entries on this page
Menu
Go to previous topic
Go to home topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • No expanding elements on this page Show/Hide Expanders

Предназначен для фильтрации сообщений по размеру.

Larger than

Задает максимальный размер сообщения.

AND, OR

Логическая операция для определения диапазона значений

Lower than

Задает минимальный размер сообщения.

Примечание

SizeFilter не работает с учетной записью SimpleMAPI из-за ограничений этой учетной записи


Account Filter
No contents entries on this page
Menu
Go to previous topic
Go to home topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • No expanding elements on this page Show/Hide Expanders

Предназначен для фильтрации сообщений, которые загружаются с помощью определенной Учетной Записи

Select Account

Задает Учетную Запись, сообщения с которой передаются на обработку.

Примечание

Если учетная запись, которая задана в фильтре, будет удалена, то фильтр будет работать неправильно.

Смотри также

Окно Учетных Записей


Dictionary Filter
No contents entries on this page
Menu
Go to previous topic
Go to home topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • No expanding elements on this page Show/Hide Expanders

Проверяет наличие в указанном источнике текста слова или строки из словаря. Словарь представляет собой список строк, который задан в фильтре или во внешнем файле.

Source

Задает источник текста, который используется для проверки.

This criterion is NOT met if data

Истина, если критерий проверки НЕ выполняется.

Список ниже задает используемый критерий проверки.

Empty

Истина, если источник текста пустой.

Equals String

Истина, если источник текста полностью совпадает с какой-либо строкой словаря.

Contains String

Истина, если источник текста содержит какую-либо строку словаря.

Begin With String

Истина, если источник текста начинается с какой-либо строки словаря.

End With String

Истина, если источник текста заканчивается какой-либо строкой словаря.

Contains All Words From String

Истина, если источник текста содержит все слова из какой-либо строки словаря.

Contains Any Word From String

Истина, если источник текста содержит какое-либо слово из любой строки словаря.

Dictionary Strings

Задает строки словаря.

Match Case

Сравнение строк происходит с использованием регистра.

Use Regular Expressions

Строки словаря являются регулярными выражениями.

Load From File

Включает загрузку словаря из внешнего файла. Имя файла словаря задается в Dictionary Strings. Если эта опция включена, то AEP перезагружает словарь для каждого обрабатываемого сообщения.


Filter Group
No contents entries on this page
Menu
Go to previous topic
Go to home topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • No expanding elements on this page Show/Hide Expanders

Позволяет объединять результаты работы нескольких фильтров или групп фильтров с помощью заданной в компоненте логической операции (AND, OR).

Operation With Group Components

Задает логическую операцию, которая применяется при объединении результатов работы фильтров группы и подгрупп.

Примечание

Папка Filtering работает аналогично компоненту Group Filter. Для настройки её логической операции, откройте диалог свойств папки.


Компоненты обработки

TweakMarketing web site

Navigation: Компоненты правил > Компоненты обработки:

Введение
No contents entries on this page
Contents
Topic functions menu
Menu
Go to previous topic
Go to home topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • No expanding elements on this page Show/Hide Expanders

Компоненты обработки позволяют извлекать, изменять и сохранять данные из сообщений. Все компоненты обработки показываются в Палитре Компонентов.

В AEP есть следующие компоненты обработки

Тип | Компонент | Краткое описание
Операции извлечения данных (Parsers) Позволяют извлекать данные из сообщений и помещать извлеченные данные в указанные пользователем переменные. | Line Parser | Построчная операция извлечения данных.
 | Block Parser | Поблочная операция извлечения данных.
 | Date Parser | Преобразования строки со временем в формат пользователя.
 | Regular Expression Parser | Операция извлечения данных с помощью регулярных выражений.
Операции обработки (Processors) Позволяют изменять и сохранять извлеченные данные. | Set Value by Template | Установка значения переменной по шаблону .
 | Set Value By File Template | Установка значения переменной по шаблону из файла.
 | Attachments Writer | Предназначен для сохранения вложений из сообщений
 | File Writer | Запись шаблона в файл.
 | Calculator | Предназначен для выполнения арифметических операций.
 | Database Access | Работа с базами данных.
 | Simple Database Access | Работа с заданной таблицей базы данных.
 | SMTP Sender | Пересылка шаблона по почте.
 | SMS Sender | Отправка SMS-сообщений.
 | Message Sender | Автоматическая переотправки письма через заданный почтовый сервер.
 | Run dynamic library | Обработка данных с помощью функций динамической библиотеки.
 | Run executable | Обработка данных с помощью внешних программ.
 | HTTP Reader | Предназначен для чтения нескольких веб страниц. Позволяет задавать для каждой запрашиваемой страницы параметры запроса и переменную, в которую будут помещен текст ответа.
 | HTML Printer | Предназначен для печати HTML шаблонов.
 | Excel Access | Предназначен для обмена данными с документами MS Excel.
Операции действия (Actors) При работе не изменяют значения переменных в правиле. | Debug Alert | Выводит отладочную информацию в окно сообщения или делает записи в Журнале.
 | Message Actor | Во время обработки сообщения управляет его положением в папках учетных записей и изменяет его пометки.
 | Stopper | Предназначен для прекращения дальнейшей обработки правила.
 | Stopper | Предназначен для прекращения дальнейшей работы итератора.
 | Iterator Stopper | Предназначен для перехода к следующей итерации во время работы итератора.
Скриптовые компоненты (Script Components) Содержат исходный код на скриптовом языке программирования, с помощью которого обрабатываются данные. | JScript Component | Поддержка скриптового языка JScript.
 | VBScript Component | Поддержка скриптового языка VBScript.
 | PerlScript Component | Поддержка скриптового языка PerlScript.
 | PythonScript Component | Поддержка скриптового языка PythonScript.
 | RubyScript Component | Поддержка скриптового языка RubyScript.
Внешние компоненты (External Components) Позволяют обрабатывать данные с помощью внешних программ. | Advanced Maillist Verify | Проверка существования адреса электронной почты с помощью программы Advanced Maillist Verify
 | Advanced Direct Remailer | Быстрая отправка сообщений электронной почты с помощью программы Advanced Direct Remailer
Условия (Conditions) Позволяют выполнять набор компонентов обработки в зависимости от значения определенной переменной. | Simple Condition | Для проверки используется заданная пользователем переменная.
 | Result Condition | Для проверки используется результат работы предыдущих компонентов обработки.
 | Condition Group | Выбирает для выполнения одно из нескольких возможных условий для исполнения.
 | Dictionary Condition | Для проверки наличия слова или строки словаря в заданном источнике текста.
Итераторы (Iterators) Позволяют выполнять заданный набор компонентов для строк, блоков, слов и регулярных выражений в источнике текста. | Word Iterator | Используются для выполнения набора компонентов для слов в заданном источнике текста.
 | Line Iterator | Используются для выполнения набора компонентов для строк в заданном источнике текста.
 | Block Iterator | Используются для выполнения набора компонентов для блоков в заданном источнике текста.
 | Regular Expression Iterator | Используются для выполнения набора компонентов для регулярных выражений в заданном источнике текста.
 | Excel Iterator | Используются для выполнения набора компонентов для строк заданного листа в документе MS Excel.
 | Database Iterator | Используются для выполнения набора компонентов для каждой записи результата SQL запроса.
Модификаторы (Modifiers) Позволяют модифицировать источники текста и части сообщения. | Line Modifier | Используется для построчного модифицирования источника текста.
 | Block Modifier | Используется для поблочного модифицирования источника текста.
 | Regular Expression Modifier | Используется для модифицирования источника текста с помощью регулярных выражений.
 | Simple Modifier | Используется для модифицирования источника текста с помощью простых операций удаления или преобразования.
 | Message Parts Modifier | Используется для модифицирования частей сообщения.
 | Attachments Modifier | Используется для добавления и удаления вложений в сообщениях.

Для обмена данными между компонентами используются переменные.

Компонент может прервать обработку, если при его исполнении возникла ошибка. Для этого необходимо включить флажок Safe в контекстном меню компонента.

Смотри также

Регулярные выражения

Окно Конструктор


Parsers

TweakMarketing web site

Navigation: Компоненты правил > Компоненты обработки > Parsers:

Введение
No contents entries on this page
Contents
Topic functions menu
Menu
Go to previous topic
Go to home topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • No expanding elements on this page Show/Hide Expanders

Операции извлечения данных - компоненты обработки, которые применяются для извлечения данных из источников текста. Источниками текста могут служить как сообщения (поля заголовка и тело сообщения), так и переменные

Операции извлечения находятся в папке Parsers в Палитре Компонентов

В AEP есть следующие операции извлечения данных

Компонент | Описание
Line Parser | Построчная операция извлечения позволяет извлекать данные из источников текста с помощью условий на начало и конец искомой строки. Поиск производится по всем строкам источника текста, до первой строки удовлетворяющей условиям поиска
Block Parser | Поблочная операция извлечения позволяет извлекать данные из источников текста с помощью условий на начало и конец искомого блока данных. Блок может содержать несколько строк
Date Parser | Предназначен для преобразования строки со временем в формат пользователя.
Regular Expression Parser | Предназначен для извлечения данных из источников текста с помощью регулярных выражений. Данные извлекаются в список переменных.


Line Parser
No contents entries on this page
Menu
Go to previous topic
Go to home topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • No expanding elements on this page Show/Hide Expanders

Построчная операция извлечения позволяет извлекать данные из источников текста с помощью условий на начало и конец искомойстроки. Поиск производится по всем строкам источника текста, до первой строки удовлетворяющей условиям поиска.

Name

Задает имя переменной, в которую будут извлечены данные.

Source

Задает источник текста из которого извлекаются данные.

Start After

Задает условие на начало извлекаемой строки. Возможны следующие режимы работы:

Begin of Line

Искомая строка начинается с начала строки.

Defined Text

Искомая строка начинается после заданного текста в строке. Можно использовать шаблон.

Defined Text at Begin of Line

Искомая строка начинается после заданного текста в начале строки. Можно использовать шаблон.

Match Case

Включает использование регистра при поиске начала искомой строки.

Use Wildcards

Включает использование масок при поиске начала искомой строки.

Use Regular Expressions

Включает использование регулярных выражений при поиске начала искомой строки.

Include Defined Text into Result

Включает добавление заданного текста в начало извлекаемой строки.

Remove Spaces

Включает удаление пробелов в начале извлеченной строки.

Continue Until

Задает условие на конец извлекаемой строки. Возможны следующие режимы работы:

End of Line

Искомая строка заканчивается в конце строки.

Defined Text

Искомая строка заканчивается перед заданным текстом в строке. Можно использовать шаблон.

Defined Text at End of Line

Искомая строка заканчивается перед заданным текстом в конце строки. Можно использовать шаблон.

Match Case

Включает использование регистра при поиске конца искомой строки.

Use Wildcards

Включает использование масок при поиске конца искомой строки.

Use Regular Expressions

Включает использование регулярных выражений при поиске конца искомой строки.

Include Defined Text into Result

Включает добавление заданного текста в конец извлекаемой строки.

Remove Spaces

Включает удаление пробелов в конце извлеченной строки.

Return Full String

Включает извлечение всей строки, в которой найдена строка.

Ignore Empty Strings

Включает пропуск пустых строк.

Смотри также

Block Parser


Block Parser
No contents entries on this page
Menu
Go to previous topic
Go to home topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • No expanding elements on this page Show/Hide Expanders

Поблочная операция извлечения позволяет извлекать данные из источников текста с помощью условий на начало и конец искомого блока данных. Блок может содержать несколько строк.

Name

Задает имя переменной, в которую будут извлечены данные.

Source

Задает источник текста, из которого извлекаются данные.

Block Start After (OR Line that contains)

Задает условие на начало извлекаемого блока. Возможны следующие режимы работы:

Begin of Data

Начало блока совпадает с началом источника данных.

Defined Text

Блок начинается после заданного текста

At begin of line

Включает проверку того, что найденное начало блока находится в начале строки.

Whole Text

Включает режим сравнения, при котором заданный текст должен полностью совпадать с началом блока.

Match Case

Включает использование регистра при поиске начала блока.

Use Wildcards

Включает использование масок при поиске начала блока.

Use Regular Expressions

Включает использование регулярных выражений при поиске начала блока.

Include Defined Text into Result

Включает добавление заданного текста в начало извлекаемого блока.

Block Continue Until

Задает условие на конец блока. Возможны следующие режимы работы:

End of Data

Конец блока совпадает с концом источника текста.

Defined Text

Блок заканчивается перед заданным текстом.

Match Case

Включает использование регистра при поиске конца блока.

At begin of line

Включает проверку того, что найденный конец блока находится в начале строки.

Whole Text

Включает режим сравнения, при котором заданный текст должен полностью совпадать с концом блока.

Use Wildcards

Включает использование масок при поиске конца блока.

Include Defined Text into Result

Включает добавление заданного текста в конец извлекаемого блока.

Use Regular Expressions

Включает использование регулярных выражений при поиске конца блока.

Remove Empty Lines

Включает удаление пустых строк в извлеченных данных.

Ignore Empty blocks

Включает пропуск пустых блоков.

Смотри также

Line Parser


Date Parser
No contents entries on this page
Menu
Go to previous topic
Go to home topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • No expanding elements on this page Show/Hide Expanders

Предназначен для преобразования строки со временем в формат пользователя. При преобразовании используются региональные настройки и заданные пользователем форматы.

Name

Задает имя переменной, в которую будет помещен результат.

Input Source

Задает тип источника и имя переменной, из которой будет извлекаться время.

Format

Задает формат строки со временем в указанной переменной.

Language

Задает региональные настройки для строки в указанной переменной.

Example

Показывает пример строки со временем для заданных настроек.

Output Result

Задает настройки по созданию строки-результата.

Format

Задает формат создаваемой строки.

Language

Задает региональные настройки для создаваемой строки.

Example

Показывает пример создаваемой строки для заданных настроек.

Adjust Time Zone

Включает изменение временной зоны преобразовываемого времени на локальную временную зону.


Regular Expression Parser
No contents entries on this page
Menu
Go to previous topic
Go to home topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • No expanding elements on this page Show/Hide Expanders

Предназначен для извлечения данных из источников текста с помощью регулярных выражений. Данные извлекаются в список переменных.

Source

Задает источник текста, из которого извлекаются данные.

Method

Метода поиска.

Expression

Задает регулярное выражение.

Output Variables

Список переменных, куда будут извлечены данные.

Result not Begin of Line

Когда этот флаг включен, результат не является началом строки.

Result not End of Line

Когда этот флаг включен, результат не является концом строки.

Result not Begin of Word

Когда этот флаг включен, результат не является началом слова.

Result not End of Word

Когда этот флаг включен, результат не является концом слова.

Dot not Match Newline

Когда этот флаг включен, выражение "." не может быть переводом строки.

Dot not Match Null

Когда этот флаг включен, выражение "." не может быть нулевым символом.

Match Any Results

Когда этот флаг включен, возвращается первая подходящая строка, вместо того чтобы искать саму длинную подходящую строку. Этот флаг может значительно уменьшить время нахождения совпадения, но что совпало не определяется.

Match Partial Results

Когда этот флаг включен, возвращается частично подходящая строка. Это значит, что один или несколько символов в конце входящего текста совпадает с несколькими префиксами в регулярном выражении.

Match Single line

Эквивалент инвертированного модификатора Perl /m

Ignore Case

Включить регистронезависимый поиск

Use Locale Specific Collation

Смотри также

Regular Expression


Processors

TweakMarketing web site

Navigation: Компоненты правил > Компоненты обработки > Processors:

Введение
No contents entries on this page
Contents
Topic functions menu
Menu
Go to previous topic
Go to home topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • No expanding elements on this page Show/Hide Expanders

Операции обработки - компоненты обработки, которые позволяют изменять и сохранять извлеченные из сообщений данные.

Операции обработки находятся в папке Processors в Палитре Компонентов.

В AEP есть следующие операции обработки

Компонент | Описание
Set Value By Template | Предназначен для присваивания переменной значения с помощью шаблона
Set Value By File Template | Предназначен для присваивания переменной значения с помощью шаблона из текстового файла
Attachments Writer | Предназначен для сохранения вложений из сообщений
Calculator | Предназначен для выполнения арифметических операций с переменными.
File Writer | Предназначен для записи данных в текстовый файл
Database Access | Предназначен для обмена данными с базами данных
Simple Database Access | Предназначен для упрощенного обмена данными с заданной таблицей в базе данных
SMTP Sender | Предназначен для отправки сообщений электронной почты
SMS Sender | Предназначен для отправки SMS-сообщения на указанный мобильный телефон стандарта GSM.
Message Sender | Предназначен для автоматической переотправки полученного письма через заданный почтовый сервер.
Run dynamic library | Предназначен для обработки данных с помощью функций из динамически загружаемых библиотек
Run executable | Предназначен для обработки данных с помощью других программ
HTTP Reader | Предназначен для чтения нескольких веб страниц. Позволяет задавать для каждой запрашиваемой страницы параметры запроса и переменную, в которую будут помещен текст ответа.
HTML Printer | Предназначен для печати HTML шаблонов.
Excel Access | Предназначен для обмена данными с документами MS Excel.

Также для обработки можно использовать Скриптовые Компоненты.


Set Value By Template
No contents entries on this page
Menu
Go to previous topic
Go to home topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • No expanding elements on this page Show/Hide Expanders

Предназначен для присваивания переменной значения с помощью шаблона.

Output Variable Name

Задает название переменной, в которую будет помещен результат

Template

Задает шаблон. Для вставки значения какой-либо переменной в текст, она должна выглядеть в шаблоне как <%имя переменной%>.

Смотри также

Set Value By File Template


Set Value By File Template
No contents entries on this page
Menu
Go to previous topic
Go to home topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • No expanding elements on this page Show/Hide Expanders

Предназначен для присваивания переменной значения с помощью шаблона из текстового файла.

Variable Name

Задает название переменной, в которую будет помещен результат.

Template Filename

Задает имя файла, содержащий шаблон.

Смотри также

Set Value By Template


Attachments Writer
No contents entries on this page
Menu
Go to previous topic
Go to home topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • No expanding elements on this page Show/Hide Expanders

Предназначен для сохранения вложений из сообщений в файлы. Имена файлов сохраняются в списке переменных.

Output Directory

Задает имя директории, в которой будут создаваться файлы вложений. Возможно использование шаблонов.

Filter by source filename (wild mask, delimited by semicolon)

Фильтр по имени файла. Разрешено использование масок разделенных точкой с запятой

NOT met

Условие "НЕ" для указанного имени файла

Variable List for File Names

Список переменных, в котором будут сохранены имена файлов вложений.

Примечание

Имя файла задается объединением Output Directory и имени вложения, измененного с помощью настроек на вкладке Advanced.

Переменные инициализируются в порядке следования вложений в сообщении электронной почты. Если вложений меньше чем переменных в списке, то в последние переменные будет записана пустая строка. Если вложений больше чем переменных в списке, то последние вложения будут проигнорированы.

Store All Filenames Into Variable

Задает имя переменной, в которой будут сохранены все имена файлов. Имена файлов будут разделены символом новой строки.

SubDirectory Name

Задает имя поддиректории, в которую будут записываться вложения.

Prefix

Задает строку, которая добавляется сначала к имени поддиректории.

Add Date

Включает добавление даты к имени поддиректории. Текстовое поле задает формат добавляемой строки.

Add Time

Включает добавление времени к имени поддиректории. Текстовое поле задает формат добавляемой строки.

Add Unique Identifier with Length

Включает добавление в конец имени поддиректории уникального идентификатора. Числовое поле задает длину идентификатора.

Output File Name

Задает шаблон имени файла, в который будут записываться вложения.

Prefix

Задает строку, которая добавляется сначала к имени файла.

Add Date

Включает добавление даты к имени файла. Текстовое поле задает формат добавляемой строки.

Add Time

Включает добавление времени к имени файла. Текстовое поле задает формат добавляемой строки.

Add Unique Identifier with Length

Включает добавление в конец имени файла уникального идентификатора. Числовое поле задает длину идентификатора.

Sample

Образец того, как имя файла будет выглядеть при заданных настройках.

Формат даты

Формат | Значение | Пример
d | День месяца цифрами без добавочных нулей. | 5
dd | День месяца цифрами с добавочными нулями. | 05
ddd | День недели сокращенно. | Чт
dddd | День недели полностью. | Четверг
M | День месяца цифрами без добавочных нулей. | 1
MM | День месяца цифрами с добавочными нулями. | 01
MMM | Имя месяца сокращенно. | июн
MMMM | Имя месяца полностью. | Июнь
y | Последняя цифра года, если год меньше десяти. Если больше, то используется формат yy. | 9
yy | Последние две цифры года. | 09
yyyy | Год полностью из четырех цифр. | 2009

Формат времени

Формат | Значение | Пример
h | Час без добавочных нулей (12-часовой формат). | 1
hh | Час с добавочными нулями (12-часовой формат) | 01
H | Часы без добавочных нулей (24-часовой формат). | 1
HH | Часы с добавочными нулями (24-часовой формат). | 01
m | Минуты без добавочных нулей. | 9
mm | Минуты с добавочными нулями. | 09
s | Секунды без добавочных нулей. | 5
ss | Секунды с добавочными нулями. | 05
t | Односимвольная строка временного маркера. Первая буква из строк в полях AM и PM в Региональных Настройках. | A
tt | Многосимвольная строка временного маркера. Строки берутся из полей AM и PM в Региональных Настройках. | AM

Примечание

·При добавлении даты и времени к имени файла используются дата и время его записи на диск.

·Чтобы использовать в имени символы формата (d, M, y, h, H, s, t, g), необходимо перед ними ставить одинарные кавычки.


Calculator
No contents entries on this page
Menu
Go to previous topic
Go to home topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • No expanding elements on this page Show/Hide Expanders

Calculator используется для выполнения арифметических операций с переменными. Кроме стандартных операций сложения и вычитания, возможно использование логарифмических и тригонометрических функций. Также, с помощью этого компонента возможно форматирование числовых данных в необходимый строковый формат.

Function

Текстовое поле для ввода вычисляемой функции. Возможно использование шаблонов.

Result Variable

Имя переменной, в которую будет возвращен результат.

Result Format

Формат результата. Формат имеет следующий вид:

%[ флаги ] [ ширина ] [ . точность ] тип-символ

флаги могут быть последовательностью из

Флаг | Значение | Формат | Пример
- | выравнивание влево | %-10d | 100
= | выравнивание по центру | %=10d | 100
+ | показывать знак для положительных чисел | %+d | +100
# | показывать числовую базу и десятичную точку | %#x | 0x64
0 | дополнить 0 (вставляется после знака и числовой базы) | %05d | 00100
 | если строка не начинается с + или -, добавляет пробел до строки | % 7d | 100

ширина указывает минимальную ширину для строкового результата. Если необходимо, строка будет выровнена и заполнена символом, указанным в формате строки (т.е. флаге '0', '-', ..)

точность устанавливает точность после точки

При выводе в виде числа с плавающей точкой, устанавливает максимальное количество цифр

после десятичной точки в числе научного вида с плавающей точкой

всего при использовании в стандартном режиме (например, при %g)

При использовании с типом-символом s или S принимает другое значение: конвертируемая строка обрезается до первых символов точности

тип-символ:

Флаг | Значение | Формат | Пример
p или x | шестнадцатиричный формат | %x | 0x64
o | восьмеричный формат | %o | 144
e | научный формат с плавающей точкой | %e | 3.333333e-001
f | формат с плавающей точкой | %f | 0.333333
g | стандартный формат с плавающей точкой | %g | 0.333333
X, E или G | тот же эффект, что и с маленькими буквами, но используются заглавные буквы для формата (экспоненциальный, шестнадцатиричный, ..) | %X | 0X64
d, i или u | десятичный формат | %d | 100
s или S | строковый формат | %s | 100
c или C | односимвольный формат | %c | 1
% | символ % | %% | %

Примеры:

Формат | Результат
Всего %d писем | Всего 25 писем
Найдено в 0x%08x | Найдено в 0x00000200
Результат: %e | Результат: 3.333333e-001

Смотри также

Processors


File Writer
No contents entries on this page
Menu
Go to previous topic
Go to home topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • No expanding elements on this page Show/Hide Expanders

Предназначен для записи данных в текстовый файл.

Output File Name

Задает имя выходного файла. Если файл не существует, он будет создан. При включенном флажке Unique Names задает имя директории. Возможно использование шаблонов.

Template

Шаблон, использумый для записи в файл.

Unique Names

Включает режим создания файлов с уникальными именами.

Prefix

Задает начало имени уникальных файлов.

Extension

Задает расширение уникальных файлов.

Output File Variable

Задает имя переменной, в которой будут сохраняться имена уникальных файлов.

Append To File

Данные добавляются в конец файла.

Overwrite File

Данные перезаписывают файл.

Write Unicode

Писать в двухбайтовой кодировке Unicode. Иначе писать в кодовой странице указанной в списке.

Закладка Advanced

New File Template

Задает шаблон текста, который добавляется в начало создаваемого файла.


Database Access
No contents entries on this page
Menu
Go to previous topic
Go to home topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • No expanding elements on this page Show/Hide Expanders

Предназначен для обмена данными с базами данных.

Data Source

Вызов диалога выбора источника данных.

Enter SQL expression

Задает SQL запрос для работы с базой данных. В тексте запроса можно использовать шаблон.

Database Columns, Output Variables

Указывает из каких колонок результата запроса в какие переменные передаются данные. Для имен колонок возможно использование шаблонов.

Replace single quote to double in variables

Заменяет одиночную кавычку двойной в значениях переменных.

Dynamic data binding

Включает режим работы с базой данных, при котором возможно записывать данные большой длины, обходя ограничение на длину SQL запроса.

Caching Tab

Описание вкладки Caching смотрите в статье Кэширование в компонентах, работающих с серверами данных.

Примечание

Для работы с этим компонентом необходимо, чтобы был установлен Microsoft Data Access Components 2.5 или выше. Подробную информацию о MSDAC можно найти на сайте Universal Data Access.

Смотри также

Simple Database Access

Database Iterator

Processors

SQL


Simple Database Access
No contents entries on this page
Menu
Go to previous topic
Go to home topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • No expanding elements on this page Show/Hide Expanders

Предназначен для упрощенной работы с базами данных. Компонент выполняет одно действие с заданной таблицей. Возможно добавление, обновление и удаление записей по заданному условию. Обмен данными с записями производится с помощью списка переменных, которые сопоставляются полям в таблице. При назначении переменной для поля указывается тип поля. Тип поля задает направление обмена данными между переменной и полем.

Data Source

Открывает диалог по выбору источника данных.

Select Table

Указывает таблицу в источнике данных, для которой будет выполнено действие.

Action

Задает действие, которое будет выполнено для указанной таблицы. Возможны следующие действия:

Select Data

Получить одну запись из таблицы. Значения возвращаются в поля с типом result. Отбор записи производится с помощью полей с типами key, autokey и search.

Insert Data

Добавить в таблицу одну запись. Для полей с типом autokey возвращаются максимальное значения в полях.

Update Data

Обновить несколько существующих записей в таблице. Отбор записей производится с помощью полей с типами key и search.

Delete Data

Удалить несколько записей в таблице. Отбор записей производится с помощью полей с типами key, autokey и search.

Insert or Update Data

Обновить отобранные записи в таблице или добавить новую. Отбор записей производится с помощью полей с типом search. Если будут найдены записи, то они будут обновлены. Если таких записей нет, будет добавлена новая запись, аналогично Update Data.

Field, Type, Variable

Задает список соответствия полей таблицы и переменных, а также типы полей. Используются следующие типы полей:

Key

Переменная используется для отбора по ключевому полю.

Autokey

Переменная используется для получения значения автоматического счетчика.

Search

Переменная используется для отбора по полю переменной.

Update

Переменная содержит сохраняемое в поле значение. Если выражение в колонке Variable может быть заключено в круглые скобки, то подставляется как часть SQL выражения, а не как значение переменной. Смотрите примечание о формате для действия Insert or Update Data.

Result

Переменная используется для сохранения значения поля после выполнения действия.

Unused

Поле при обмене данными не используется.

Примечание

·Для действия Insert or Update Data в колонке Variable можно использовать символ / для разделения используемых в Insert и Update выражений.

Синтаксис:

Insert выражение/Update выражение.

Примеры:

(1)/(MSGCOUNT+1)

StartNo/(MSGCOUNT+1)

MsgNo/()

·Если разделитель не стоит, то используется одно и то же выражение и для Insert и для Update.

·Eсли изменять значение поля при обновлении не нужно, Оставьте после разделителя пустое выражение или пустые круглые скобки.

Подробно о действиях:

Используемые в компоненте действия преобразуются в один или несколько запросов SQL. Рассмотрим как это происходит с помощью примеров.

Предположим, что имеется таблица CLIENT, в которой хранятся имя и фамилия клиента, его электронный адрес, дата регистрации и количество полученных от клиента сообщений.

Поле | Тип | Описание
ID | COUNTER | Идентификатор клиента
REGDATE | DATETIME | Дата регистрации
FIRSTNAME | TEXT | Имя клиента
LASTNAME | TEXT | Фамилия клиента
EMAIL | TEXT | Электронный адрес клиента
MSGCOUNT | NUMBER | Число полученных сообщений

Приведенные ниже примеры покажут, какие запросы будут выполняться для каждого из действий.

Select Data

Извлечение данных из таблицы в переменные производится с помощью действия Select Data. Допустим, что необходимо узнать идентификатор и дату регистрации уже зарегистрированного клиента по его электронному адресу.

Сопоставление полей переменным

Поле | Тип | Выражение
ID | Result | Id
REGDATE | Result | RegDate
FIRSTNAME | Unused |
LASTNAME | Unused |
EMAIL | Search | SenderEmail
MSGCOUNT | Unused |

Компонент выполнит следующий запрос:

SELECT ID, REGDATE FROM CLIENT WHERE EMAIL='<%SenderEmail%>';

Результат запроса будет помещен в переменные, соответствующие получаемым полям в запросе, т.е. Id и RegDate.

Insert Data

Для добавления данных о клиенте необходимо использовать действие Insert Data. Допустим, из сообщения в переменные извлекаются имя и фамилия клиента, в поле REGDATE нужно записать текущую дату, в поле MSGCOUNT - 1. Также необходимо получить идентификатор новой записи о клиенте.

Сопоставление полей переменным

Поле | Тип | Выражение
ID | Autokey | Id
REGDATE | Update | RegDate
FIRSTNAME | Key | FirstName
LASTNAME | Key | LastName
EMAIL | Key | SenderEmail
MSGCOUNT | Update | MsgCount

Компонент выполнит следующие запросы:

INSERT INTO CLIENT (REGDATE, FIRSTNAME, LASTNAME, EMAIL, MSGCOUNT)

VALUES('<%RegDate%>', '<%FirstName%>', '<%LastName%>','<%Email%>', <%MsgCount%>);

SELECT MAX(ID) FROM CLIENT

WHERE FIRSTNAME='<%FirstName%>' AND LASTNAME='<%LastName%>' AND EMAIL='<%Email%>';

Результат последнего запроса будет помещен в переменную с типом autokey, т.е. Id

Update Data

Обновление данных в записях таблицы производится с помощью Update Data. Допустим, что необходимо увеличить на 1 счетчик сообщений для клиента c заданным электронным адресом.

Сопоставление полей переменным:

Поле | Тип | Выражение
ID | Unused |
REGDATE | Unused |
FIRSTNAME | Unused |
LASTNAME | Unused |
EMAIL | Key | SenderEmail
MSGCOUNT | Update | (MSGCOUNT+1)

Компонент выполнит следующий запрос:

UPDATE CLIENT SET MSGCOUNT=(MSGCOUNT+1)

WHERE EMAIL='<%Email%>';

Delete Data

Удаление записей производится с помощью Delete Data. Допустим, что необходимо удалить записи о клиентах с именем John.

Сопоставление полей переменным:

Поле | Тип | Выражение
ID | Unused |
REGDATE | Unused |
FIRSTNAME | Search | FirstName
LASTNAME | Unused |
EMAIL | Unused |
MSGCOUNT | Unused |

Компонент выполнит следующий запрос:

DELETE FROM CLIENT

WHERE FIRSTNAME='<%FirstName%>';

Insert or Update Data

Добавление записей с проверкой на существование производится с помощью Insert or Update Date. Допустим, что необходимо увеличить счетчик сообщений от клиента с заданными именем, фамилией и электронным адресом, а в случае если такого клиента еще нет в таблице, создать новую запись. Идентификатор найденного или нового клиента сохранить в переменную Id.

Сопоставление полей переменным:

Поле | Тип | Выражение
ID | Autokey | Id
REGDATE | Update | RegDate/()
FIRSTNAME | Search | FirstName
LASTNAME | Search | LastName
EMAIL | Search | Email
MSGCOUNT | Update | (1)/(MSGCOUNT+1)

Компонент выполнит следующие запросы:

SELECT ID FROM CLIENT

WHERE FIRSTNAME='<%FirstName%>' AND LASTNAME='<%LastName%>' AND EMAIL='<%Email%>';

В случае если не будет найден ни один идентификатор, то компонент выполнит запрос на добавление новой записи:

INSERT INTO CLIENT (REGDATE, FIRSTNAME, LASTNAME, EMAIL, MSGCOUNT)

VALUES('<%RegDate%>', '<%FirstName%>', '<%LastName%>','<%Email%>', 1);

Иначе будет выполнен запрос на обновление существующих записей:

UPDATE CLIENT SET MSGCOUNT=1

WHERE ID=[найденный с помощью SELECT ID];

В конце будет выполнен запрос для получения autokey поля:

SELECT MAX(ID) FROM CLIENT;

Результат последнего запроса будет помещен в переменную с типом autokey, т.е. Id.

Caching Tab

Описание вкладки Caching смотрите в статье Кэширование в компонентах, работающих с серверами данных.

Примечание

Для работы с этим компонентом необходимо, чтобы был установлен Microsoft Data Access Components 2.5 или выше. Подробную информацию о MSDAC можно найти на сайте Universal Data Access.

Смотри также

Database Access

Database Iterator

Processors


SMTP Sender
No contents entries on this page
Menu
Go to previous topic
Go to home topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • No expanding elements on this page Show/Hide Expanders

Предназначен для отправки сообщений электронной почты.

From

Задает имя и адрес отправителя. Возможно использование шаблона.

To

Задает имя и адрес получателя. Возможно использование шаблона.

Subject

Задает тему сообщения. Возможно использование шаблона.

Список Body

Задает тип редактируемого тела, Text или HTML

Load Message

Позволяет заполнить поля из файла сообщения. Это может быть полезным, для посылки HTML сообщения.

Поле редактирования Body

Задает тело сообщения. Возможно использование шаблона.

Encode Headers

Установка кодирования заголовков, если в них содержатся национальные символы.

Encode Text Part

Устанавливает кодирование для отправляемых сообщений типа Text/Plain.

Encode HTML Part

Устанавливает кодирование для отправляемых сообщений типа Text/Html.

Default Codepage

Установка кодовой страницы для отправляемых сообщений.

CC

Carbon Copy. Список адресов вторичных получателей сообщения.

BCC

Blind Carbon Copy. Список адресов третичных получателей сообщения

Sender (MAIL FROM substitution)

Значение реквизита "MAIL FROM" - от кого передается сообщение. Если флажок не установлен, используется значение из поля From.

Recipient (RCPT TO substitution)

Значение реквизита "RCPT TO" - кому отправляется сообщение. Если флажок не установлен, используется значение из поля To.

Custom header fields

Задает значения указанных полей заголовка сообщения. Возможно использование шаблона.

Encode Attachments

Кодирование вложений указанным типом кодирования.

Attached Files

Задает список прикрепляемых файлов. Возможно использование шаблона. Возможно использование масок для поиска файлов.

Domain for "HELO"

Задает имя домена, используемое для представления SMTP-серверам. Рекомендуется использовать имя своего домена. Использование другого имени возможно, но не рекомендуется. Если имя не указано, программа попытается сама определить его.

Server

Задает адрес сервера исходящей почты (SMTP).

Port

Задает номер порта сервера исходящей почты. Для SMTP это номер обычно равен 25 или 465 для шифрованного соединения

Use Default

Установить значение порта сервера в значение по умолчанию.

Connection

Список со следующими параметрами

Regular

Используется обычный SMTP протокол.

Secure to regular port (STARTTLS)

STARTTLS это расширение обычного протокола с помощью которого можно изменить обычный протокол на шифрованный (TLS) без использования дополнительного порта соединения.

Secure to dedicated port (TLS)

Шифрованное соединение для SMTP используя Transport Layer Security (TLS).

Require authentication

Установите флажок, если для отправки через почтовый сервер требуется авторизация пользователя.

Account Name

Имя пользователя для доступа к почтовому серверу.

Password

Пароль для доступа к почтовому серверу.

Timeouts

Задает время ожидания при работе с сервером исходящей почты. Если у Вас быстрое соединение, сдвиньте ползунок в сторону Short. Если у Вас медленное соединение или очень занятый почтовый сервер, сдвиньте ползунок в сторону Long.


Передатчик сообщений (Message Sender)
No contents entries on this page
Menu
Go to previous topic
Go to home topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • No expanding elements on this page Show/Hide Expanders

Передатчик сообщений Advanced Email Parser используется для автоматической переотправки полученного письма через заданный почтовый сервер.

Эта операция отличается от обычной пересылки (forwarding). При пересылке создается новое сообщение и исходное сообщение целиком, вместе с текстом и заголовком, помещается в текст нового. Переотправка оставляет текст исходного сообщения, изменяя только поля в его заголовке. Получатель, в этом случае, примет исходное сообщение, но уже от другого отправителя.

Передатчик сообщений позволяет полностью обработать заголовок исходного письма, настроить соединение с нужным почтовым сервером и отправить на него новый вариант письма. Пересылка осуществляется по протоколу SMTP, а почтовый сервер должен разрешать прием для адреса отправителя и отправку для адреса получателя. В противном случае, сервер запретит отправку письма.

Replace Message Fields

Замена информации в основных полях заголовка исходного письма. Установите флажок и введите новое значение в текстовое поле справа от него.

From

Поле "От" заголовка - адрес отправителя сообщения. Если это поле не задано, используется адрес отправителя из исходного сообщения.

To

Поле "Кому" заголовка - адрес получателя сообщения. Если это поле не задано, используется адрес получателя из исходного сообщения.

Subject

Поле "Тема" заголовка - тема сообщения. Если это поле не задано, используется тема сообщения из исходного сообщения.

Server Substitutions

Значения, подставляемые в реквизиты протокола SMTP для обмена с указанным почтовым сервером. Для подстановки установите флажок и введите новое значение в текстовое поле справа от него.

Sender

Значение реквизита "MAIL FROM" - от кого передается сообщение. Если флажок не установлен, используется значение из поля From.

Recipient

Значение реквизита "RCPT TO" - кому отправляется сообщение. Если флажок не установлен, используется значение из поля To.

Create Resent Fields

Установите флажок , чтобы в сообщение была добавлена информация о его текущей пересылке. В этом случае, передатчик сообщений добавит в заголовок поля "resent-*", для указания того, кем и когда осуществлялась пересылка.

Remove Transport Fields

Информация о маршруте следования исходного письма - поля "Received" и "X-*". Установите флажок , чтобы не включать эту информацию в пересылаемое сообщение.

Domain for "HELO"

Имя своего домена, которое почтовый сервер сообщает другим SMTP серверам. Рекомендуется указывать Ваш реальный домен. Если домен не задан, программа попытается определить его самостоятельно. Если это по какой-либо причине не удается, будет использован домен localhost. Использование алиаса localhost или имени чужого домена не запрещается, однако, в этом случае, некоторые серверы с высоким уровнем безопасности откажутся работать с почтовым серверм. Если для выхода в Интернет используется прокси-сервер с протоколом Socks5, домен прокси-сервера должен быть указан обязательно, т.к. автоматически определить его невозможно.

Server

Имя почтового сервера, на который происходит пересылка письма.

Port

Номер порта на указанном почтовом сервере.

Use Default

Нажмите кнопку, чтобы использовать принятые значения для порта по умолчанию (порт 25).

Connection

Список со следующими параметрами

Regular

Используется обычный SMTP протокол.

Secure to regular port (STARTTLS)

STARTTLS это расширение обычного протокола с помощью которого можно изменить обычный протокол на шифрованный (TLS) без использования дополнительного порта соединения.

Secure to dedicated port (TLS)

Шифрованное соединение для SMTP используя Transport Layer Security (TLS).

Require authentication

Установите флажок, если для отправки через почтовый сервер требуется авторизация пользователя.

Account Name

Имя пользователя для доступа к почтовому серверу.

Password

Пароль для доступа к почтовому серверу.

Timeouts

Задает значения таймаутов при связи с почтовым сервером. При помощи ползунка установите наиболее подходящее значение в интервале от Short (короткого) до Long (длинного).

CC

Carbon Copy. Список адресов вторичных получателей сообщения.

BCC

Blind Carbon Copy. Список адресов третичных получателей сообщения

Custom header fields

Обработка дополнительных полей заголовка сообщения. В окне редактирования введите название поля и его значение так, как они будут указаны в отправляемом сообщении (например, "X-Mail-From: AEP"). Если такие поля уже есть в пересылаемом сообщении, они заменятся на новые.

Смотри также

Server Settings

SMTP Sender

SMS Sender


SMS Sender
No contents entries on this page
Menu
Go to previous topic
Go to home topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • No expanding elements on this page Show/Hide Expanders

Используется для отправки SMS-сообщения на указанный мобильный телефон стандарта GSM. Передача SMS-сообщения производится через Интернет, используя специальные службы. Доступ к этим службам осуществляется либо через серверы, предоставляющие такие услуги, либо через сайты операторов мобильной связи.

Для отправки сообщения передатчиком SMS достаточно набрать его текст и требуемый номер мобильного телефона, предварительно настроив параметры.

Sending Method

Список доступных методов передачи SMS-сообщений на Интернет-серверы, поддерживающие отправку SMS.

Phone Number

Номер мобильного телефона, на который будет отправлено SMS-сообщение.

Message Text

Окно редактирования, в котором набирается текст SMS-сообщения.

Server

Интернет-адрес сервера, который будет использоваться для отправки SMS-сообщения.

Port

Номер порта службы отправки SMS на Интернет-сервере. Это один из параметров настройки каждого конкретного сервера. Его значение обычно указывается на соответствующей информационной странице.

User name

Имя пользователя для отправки SMS-сообщения, если требуется авторизация.

Password

Пароль пользователя для отправки SMS-сообщения, если требуется авторизация.

Смотри также

Server Settings

SMTP Sender

Message Sender


Run Dynamic Library
No contents entries on this page
Menu
Go to previous topic
Go to home topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • No expanding elements on this page Show/Hide Expanders

Предназначен для обработки данных с помощью функций из динамических библиотек. Операция обработки загружает динамическую библиотеку и вызывает указанную пользователем функцию, куда передает необходимые данные.

DLL filename

Задает имя динамической библиотеки. Возможно использование шаблона.

Function name

Задает имя вызываемой функции. Возможно использование шаблона.

Function parameters

Задает параметры, передаваемые в функцию. Возможно использование шаблона.

Change directory to DLL location

Включает изменение рабочей директории в папку DLL перед загрузкой DLL. Это бывает необходимо когда DLL использует другие библиотеки.

Result Variable

Задает имя переменной, в которую помещается значение, возвращаемое функцией.

Примечание

Функции, вызываемые из динамических библиотек, используемых в операции обработки Run dynamic library должны быть реализованы по следующему прототипу:

BSTR UserFunction( BSTR bstrParameter1, BSTR bstrParameter2, BSTR bstrParameter3, BSTR bstrParameter4, BSTR bstrParameter5);

Смотри также

Processors

Run Executable

Компоненты обработки


Run Executable
No contents entries on this page
Menu
Go to previous topic
Go to home topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • No expanding elements on this page Show/Hide Expanders

Предназначен для обработки данных с помощью программ. Данные в программу можно передавать с помощью командной строки и через стандартный ввод. Результаты выполнения программы могут быть получены через ее возвращаемое значение и стандартный вывод.

EXE filename

Задает имя исполняемой программы. Возможно использование шаблонов.

Command line

Задает командную строку, которая используется при запуске программы. Возможно использование шаблона.

Change directory to EXE location

Включает изменение рабочей директории в папку с исполняемым файлом перед его исполнением.

Data for standard input of executable

Задает данные, которые передаются в программу через стандартный ввод. Возможно использование шаблона.

Grab standard output to variable

Задает имя переменной, в которую будет передан текст, из стандартного вывода исполняемой программы.

Result Variable

Задает имя переменной, в которую помещается возвращаемое программой значение.

Смотри также

Processors

Run Dynamic Library

Компоненты обработки


HTTP Reader
No contents entries on this page
Menu
Go to previous topic
Go to home topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • No expanding elements on this page Show/Hide Expanders

Предназначен для чтения нескольких веб-страниц. Позволяет задавать для каждой запрашиваемой страницы параметры запроса и переменную, в которую будут помещен текст ответа.

Requested URLs

Задaет список веб-адресов запрашиваемых страниц. Можно использовать шаблон.

URL Parameters

Содержит параметры для выделенного в Requested URLs веб-адреса. Задаются следующие параметры:

Method

Задает способ отправки параметров запроса (GET или POST).

Name, Value

Задает список параметров запроса. В обоих колонках можно использовать шаблон. Если имя какого-либо параметра некорректно (например пустое), то этот параметр будет проигнорирован.

Output Variable

Задает имя переменной, в которую помещается текст ответа на запрос. Служебная информация из текста ответа не удаляется.

Status Variable

Задает имя переменной, в которую помещается информация об успешности выполнения запроса.

Timeouts

Задает максимальное время ожидания ответа от HTTP сервера, после чего соединение с ним будет разорвано. Это время одинаково для каждой запрашиваемой страницы. Если у Вас быстрое соединение с HTTP серверами запрашиваемых страниц, сдвиньте ползунок в сторону Short. Если у Вас медленное соединение с HTTP серверами запрашиваемых страниц, сдвиньте ползунок в сторону Long.


HTML Printer
No contents entries on this page
Menu
Go to previous topic
Go to home topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • No expanding elements on this page Show/Hide Expanders

Предназначен для печати HTML шаблонов.

HTML template

Задает распечатываемый HTML шаблон.

Page Setup

Изменяет настройки принтера и формат страниц.

Смотри также

File Writer

HTTP Reader


Excel Access
No contents entries on this page
Menu
Go to previous topic
Go to home topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • No expanding elements on this page Show/Hide Expanders

Предназначен для обмена данными с документами MS Excel. Данные считываются/заносятся для одной строки на заданной странице. Обмен данными происходит с помощью заданного в компоненте списка переменных. Переменные в списке соответствуют колонкам в строке, т.е. первая переменная обменивается значением с ячейкой в первой колонки, вторая - со второй и т.д.

Source Workbook

Задает имя файла рабочей книги Excel. Возможно использование шаблонов.

Worksheet

Задает имя листа, с которым будет производиться обмен данными.

Action

Задает действие и направление обмена данными. Возможны следующие действия:

Read Data Cells

Чтение данных из ячеек строки, определяемой заданным ниже условием отбора. Извлеченные данные передаются в переменные, заданные в компоненте списком.

Append Data Cells

Добавление данных из переменных в ячейки первой пустой строки, после строки, определяемой заданным ниже условием отбора.

Replace Data Cells

Замена данных в ячейках строки, определяемой заданным ниже условием отбора. Новые данные берутся из переменных, заданных в компоненте списком.

Replace or Append Data Cells

Замена данных или добавление данных в ячейки строки, определяемой заданным ниже условием отбора. Новые данные берутся из переменных, заданных в компоненте списком.

Data Condition

Задает дополнительное условие на значение в колонке.

Where

Задает имя колонки, для которой будет проверяться условие. Имя колонки берется из ячейки первой строки. Для первого столбца имя берется из ячейки A1, для второго - A2, и т.д.

Condition

Задает условие на значение для колонки, указанной в Where. Строки, для которых значение в заданной колонке не удовлетворяет условию, будут пропущены.

Range

Задает область поиска строки, определяемой по условию отбора. Если условие отбора не задано, используется самая верхняя строка области.

Data variables

Задает список переменных, в которые извлекаются данные из ячеек очередной строки.

Combine Multiply Results

Включает режим при котором в переменные помещаются значения всех ячеек соответствующих колонок из строк, удовлетворяющие заданному условию. Разделителем значений служит перевод каретки.

Caching Tab

Описание вкладки Caching смотрите в статье Кэширование в компонентах, работающих с серверами данных.

Примечание

·Если выбрано Append действие и задана область в которой нет пустых строк, то новая строка добавлена не будет, а компонент возвратит неудачное состояние.

·Для работы этого компонента необходимо установить Microsoft Excel.

Смотри также

Processors

Database Access


Скриптовые Компоненты

TweakMarketing web site

Navigation: Компоненты правил > Компоненты обработки > Script Components:

Введение
No contents entries on this page
Contents
Topic functions menu
Menu
Go to previous topic
Go to home topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • No expanding elements on this page Show/Hide Expanders

Скриптовые Компоненты содержат исходный код на скриптовом языке программирования, с помощью которого обрабатываются данные.

Скриптовые Компоненты находятся в папке Script Components в Палитре Компонентов

В AEP есть следующие скриптовые компоненты

Компонент | Описание
JScript Component | Предназначен для исполнения кода на языке JScript
VBScript Component | Предназначен для исполнения кода на языке VBScript
Perl Script Component | Предназначен для исполнения кода на языке Perl Script.
Python Script Component | Предназначен для исполнения кода на языке Python Script.
Ruby Script Component | Предназначен для исполнения кода на языке Ruby Script.

Позволяет подключать ActiveX компоненты и обрабатывать с их помощью данные.

Global Variables

Список глобальных переменных, которые могут быть использованы другими Компонентами Обработки.

Source Code

Исходный код на выбранном языке программирования.

Примечание

·Чтобы использовать компонент Perl необходимо установить Active Perl

·Чтобы использовать компонент Python необходимо установить Active Python

·Чтобы использовать компонент Ruby необходимо установить Ruby и Active Ruby

Смотри также

Компоненты обработки

Информация для программистов


Data Sender
No contents entries on this page
Menu
Go to previous topic
Go to home topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • No expanding elements on this page Show/Hide Expanders

Allow data exchange with external applications which supported automation. To exchange data with external applications, variables are used.

Remarks

For working with that component your rule must be marked as "realtime" (Realtime Processing flag in the Rule properties)

See example "AEPMFC" how to use this component with MFC application.

This component is deprecated and will be removed from future version of AEP.


External Components

TweakMarketing web site

Navigation: Компоненты правил > Компоненты обработки > External Components:

Введение
No contents entries on this page
Contents
Topic functions menu
Menu
Go to previous topic
Go to home topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • No expanding elements on this page Show/Hide Expanders

Внешние компоненты позволяют обрабатывать данные с помощью внешних программ. Для обмена данными с внешними программами используются переменные.

Внешние компоненты находятся в папке External Components в Палитре Компонентов

В AEP есть следующие внешние компоненты

Компонент | Описание
Advanced Maillist Verify | Предназначен для проверки существования адреса электронной почты
Advanced Direct Remailer | Предназначен для быстрой отправки сообщений электронной почты
Advanced Email Locator | Designed for obtaining detailed information about e-mail, including country of e-mail address registration (and state for addresses in USA), domain owner's name, address, and some other data
Advanced IP Locator | Designed for obtaining detailed information about IP address or host name, including country of IP address registration (and state for addresses in USA). Also you can check whether the host is a public proxy server.
NotePage Sender | Designed for sending SMS messages via external programs NotePage Pro or PageGate.


Advanced Maillist Verify
No contents entries on this page
Menu
Go to previous topic
Go to home topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • No expanding elements on this page Show/Hide Expanders

Предназначен для проверки существования адреса электронной почты.

E-Mail Variable

Задает имя переменной, содержащей проверяемый адрес.

Result Variable

Имя переменной, в которую возвращается результат работы компонента. Возможные значения смотрите в документации к Advanced Maillist Verify.

Timeouts

Задает предельное время ожидания при работе с почтовым сервером. Если у Вас быстрое соединение, сдвиньте ползунок в сторону short. Если у Вас медленное соединение или очень занятый почтовый сервер, сдвиньте ползунок в сторону long.

Примечание

Для работы этого компонента необходимо установить программу Advanced Maillist Verify.

Этот компонент считается устаревшим и его поддержка не гарантируется и может прекратится в следующей версии AEP


Advanced Direct Remailer
No contents entries on this page
Menu
Go to previous topic
Go to home topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • No expanding elements on this page Show/Hide Expanders

Предназначен для быстрой отправки сообщений электронной почты.

From

Задает имя и адрес отправителя. Возможно использование шаблона.

To

Задает имя и адрес получателя. Возможно использование шаблона.

Subject

Задает тему сообщения. Возможно использование шаблона.

Body

Задает тело сообщения. Возможно использование шаблонов.

Result Variable

Имя переменной, в которую возвращается результат работы компонента. Возможные значения смотрите в документации к Advanced Direct Remailer.

Custom Header Fields

Задает дополнительные заголовки сообщения. Возможно использование шаблона.

Примечание

Для работы этого компонента необходимо установить программу Advanced Direct Remailer.

Этот компонент считается устаревшим и его поддержка не гарантируется и может прекратится в следующей версии AEP


Advanced Email Locator
No contents entries on this page
Menu
Go to previous topic
Go to home topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • No expanding elements on this page Show/Hide Expanders

Designed for obtaining detailed information about e-mail, including country of e-mail address registration (and state for addresses in USA), domain owner's name, address, and some other data.

Email Variable

Set name of the variable that contains the address to be checked.

Result

Name of the variable, which the component operation result is returned to. For possible values see Advanced Email Locator documentation..

Country

Name of the variable, which the Country is returned to. For possible values see Advanced Email Locator documentation..

Code

Name of the variable, which the Country Code is returned to. For possible values see Advanced Email Locator documentation..

State

Name of the variable, which the State (US Only) is returned to. For possible values see Advanced Email Locator documentation..

Owner

Name of the variable, which the Owner of the domain is returned to. For possible values see Advanced Email Locator documentation..

Address

Name of the variable, which the postal Address of owner is returned to. For possible values see Advanced Email Locator documentation..

Info

Name of the variable, which the information about the domain is returned to. For possible values see Advanced Email Locator documentation..

Timeouts

Set waiting time for work with a mail server. If your connection is fast, move the slider towards Short. If your connection is slow or the mail server is heavily loaded, move the slider towards Long.

Примечание

Для работы этого компонента необходимо установить программу Advanced Email Locator

Этот компонент считается устаревшим и его поддержка не гарантируется и может прекратится в следующей версии AEP


IP Locator

TweakMarketing web site

Navigation: Компоненты правил > Компоненты обработки > External Components:

Advanced IP Locator
No contents entries on this page
Contents
Topic functions menu
Menu
Go to previous topic
Go to home topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • No expanding elements on this page Show/Hide Expanders

Designed for obtaining detailed information about IP address or host name, including country of IP address registration (and state for addresses in USA). Also you can check whether the host is a public proxy server.

Host Variable

Set name of the variable that contains the address to be checked.

Result

Name of the variable, which the component operation result is returned to. For possible values see IP Locator documentation.

Country

Name of the variable, which the Country is returned to. For possible values see IP Locator documentation.

Code

Name of the variable, which the Country Code is returned to. For possible values see IP Locator documentation.

State

Name of the variable, which the State (US Only) is returned to. For possible values see IP Locator documentation.

IP

Name of the variable, which the IP address is returned to. For possible values see IP Locator documentation.

Info

Name of the variable, which the information about the IP address is returned to. For possible values see IP Locator documentation.

Timeouts

Set waiting time for work with a mail server. If your connection is fast, move the slider towards Short. If your connection is slow or the mail server is heavily loaded, move the slider towards Long.

Примечание

Для работы этого компонента необходимо установить программу Advanced IP Locator

Этот компонент считается устаревшим и его поддержка не гарантируется и может прекратится в следующей версии AEP


NotePage Sender
No contents entries on this page
Menu
Go to previous topic
Go to home topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • No expanding elements on this page Show/Hide Expanders

Designed for sending SMS messages via external programs NotePage Pro or PageGate.

Recipient

Set name of an existing recipient or group.

Sender

Set name of the person (or other text) sending the message

Message Text

Set the message text to be sent. Each line must be terminated with a carriage-return or carriage-return line-feed. The message text can be multiple lines in length.

Примечание

Для работы этого компонента необходимо установить программу NotePage Pro или PageGate


Actors

TweakMarketing web site

Navigation: Компоненты правил > Компоненты обработки > Actors:

Введение
No contents entries on this page
Contents
Topic functions menu
Menu
Go to previous topic
Go to home topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • No expanding elements on this page Show/Hide Expanders

Операции действия - компоненты обработки, которые не изменяют значений переменных.

Операции действия находятся в папке Actors в Палитре Компонентов.

В AEP есть следующие операции действия

Компонент | Описание
Debug Alert | Предназначен для вывода отладочной информации в окно сообщения или записи в Журнал.
Message Actor | Предназначен для того, чтобы во время обработки сообщения управлять его положением в папках учетных записей, а также изменять его пометки.
Stopper | Предназначен для прекращения дальнейшей обработки правила.
Iterator Stopper | Предназначен для прекращения дальнейшей работы итератора.
Next Iteration | Предназначен для перехода к следующей итерации во время работы итератора.


Debug Alert
No contents entries on this page
Menu
Go to previous topic
Go to home topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • No expanding elements on this page Show/Hide Expanders

Предназначен для вывода отладочной информации в окно сообщения или записи в Журнал.

Action

Задает способ вывода отладочной информации. Возможны следующие значения:

Message Box

Вывод значения шаблона в окно сообщения.

Write to Log

Запись значения шаблона в Журнал.

Play Sound

Проигрывание звукового файла.

Type

Задает тип события.

Template

Задает шаблон сообщения.

Смотри также

Отладка правил


Операция действия над сообщением (Message Actor)
No contents entries on this page
Menu
Go to previous topic
Go to home topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • No expanding elements on this page Show/Hide Expanders

Позволяет во время обработки сообщения управлять его положением в папках учетных записей, а также изменять его пометки.

Select Account

Список учетных записей.

Actions

Список действий операции. Возможно выполнение следующих действий:

Move Message

переместить сообщение в указанную папку

Copy Message

скопировать сообщение в указанную папку

Delete Message

удалить сообщение

Mark as Read

пометить сообщение, как прочитанное

Mark as Unread

пометить сообщение, как непрочитанное

Mark as Deleted

пометить сообщение к удалению

Unmark as Deleted

отменить пометку сообщения к удалению

Mark as Hidden

не показывать сообщение

Unmark as Hidden

показать скрытое сообщение

Mark as Highlighted

выделить сообщение

Unmark as Highlighted

снять выделение сообщения

Mark as Tagged

специальная пометка сообщения

Unmark as Tagged

снять специальную пометку

Select Folder

Укажите папку для копирования/перемещения сообщения. Чтобы выбрать папку из списка имеющихся, нажмите кнопку "Select..."

Примечание

На данный момент Message Actor работает только с учетными записями типа MAPI

Действие будет производится только для правил у которых выставлен флаг Realtime Processing.

Смотри также

Окно Учетных Записей

Учетная запись MAPI


Stopper
No contents entries on this page
Menu
Go to previous topic
Go to home topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • No expanding elements on this page Show/Hide Expanders

Предназначен для прекращения дальнейшей обработки правила.

Rule is Exited with Status

Останавливает исполнение правила и выставляет статус исполнения

Смотри также

Условия


Iterator Stopper
No contents entries on this page
Menu
Go to previous topic
Go to home topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • No expanding elements on this page Show/Hide Expanders

Предназначен для прекращения дальнейшей работы итератора. В остальных случаях игнорируется.

Смотри также

Iterators


Next Iteration
No contents entries on this page
Menu
Go to previous topic
Go to home topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • No expanding elements on this page Show/Hide Expanders

Предназначен для перехода к следующему шагу во время исполнения итератора. В остальных случаях игнорируется.

Смотри также

Iterators


Conditions

TweakMarketing web site

Navigation: Компоненты правил > Компоненты обработки > Conditions:

Введение
No contents entries on this page
Contents
Topic functions menu
Menu
Go to previous topic
Go to home topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • No expanding elements on this page Show/Hide Expanders

Условия - операции обработки, позволяющие выполнять набор операций в зависимости от значения заданного пользователем условия.

Условия находятся в папке Conditions в Палитре Компонентов.

В AEP есть следующие условия

Компонент | Описание
Simple Condition | Для проверки используется заданная пользователем переменная.
Result Condition | Для проверки используется результат работы предыдущих компонентов обработки.
Condition Group | Позволяет выбирать для выполнения одно из нескольких возможных условий для исполнения.
Dictionary Condition | Используется для проверки наличия слова или строки из словаря в заданном источнике текста.


Simple Condition
No contents entries on this page
Menu
Go to previous topic
Go to home topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • No expanding elements on this page Show/Hide Expanders

Позволяет выполнить отдельный набор операций в зависимости от заданного пользователем условия.

Source

Задает источник текста, который используется для проверки условия.

This criterion is met if data

Включает режим, когда критерий условия выполняется.

This criterion is NOT met if data

Включает режим, когда критерий условия НЕ выполняется.

Empty

Истина, если источник текста пустой.

Equals Defined Text

Истина, если источник текста равен заданной строке.

Contains Defined Text

Истина, если источник текста содержит заданную строку.

Begin With Defined Text

Истина, если источник текста начинается с заданной строки.

End With

Истина, если источник текста заканчивается заданной строкой.

Match Case

Включает использование регистра при сравнении.

Use Wildcards

Включает использование масок при сравнении.


Result Condition
No contents entries on this page
Menu
Go to previous topic
Go to home topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • No expanding elements on this page Show/Hide Expanders

Позволяет выполнить отдельный набор операций в зависимости от результата работы предыдущих компонентов обработки.

Criterion is met if the last component

Задает результат, который используется для проверки условия. Возможны следующие значения:

Succeeded

Все предыдущие компоненты выполнились успешно.

Failed

Ошибка во время работы какого-либо предыдущего компонента.


ConditionGroup_E
No contents entries on this page
Menu
Go to previous topic
Go to home topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • No expanding elements on this page Show/Hide Expanders

Позволяет выбирать для выполнения одно из нескольких возможных условий для исполнения. Группировка условий является удобным средством реализации многовариантной обработки сообщения. Сгрупированные условия проходят последовательную проверку и первое из них, оказавшееся успешным, задает требуемую обработку.

Работа группы из трех условий A, B и C может быть проиллюстрирована следующей схемой:

ЕСЛИ A = ИСТИНА, ТО выполнить набор компонентов обработки для A

ИНАЧЕ, ЕСЛИ B = ИСТИНА, ТО выполнить набор компонентов обработки для B

ИНАЧЕ, ЕСЛИ C = ИСТИНА, ТО выполнить набор компонентов обработки для C


Dictionary Condition
No contents entries on this page
Menu
Go to previous topic
Go to home topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • No expanding elements on this page Show/Hide Expanders

Используется для проверки наличия слова или строки из словаря в заданном источнике текста. Словарь является списком строк, который задан в условии или внешнем файле.

Source

Задает источник текста, который используется для проверки.

This criterion is met if data

Истина, если критерий проверки выполняется.

This criterion is NOT met if data

Истина, если критерий проверки НЕ выполняется.

Список ниже задает используемый критерий проверки.

Empty

Истина, если источник текста пустой.

Equals String

Истина, если источник текста полностью совпадает с какой-либо строкой словаря.

Contains String

Истина, если источник текста содержит какую-либо строку словаря.

Begin With String

Истина, если источник текста начинается с какой-либо строки словаря.

End With String

Истина, если источник текста заканчивается какой-либо строкой словаря.

Contains All Words From String

Истина, если источник текста содержит все слова из какой-либо строки словаря.

Contains Any Word From String

Истина, если источник текста содержит какое-либо слово из любой строки словаря.

Dictionary Strings

Задает строки словаря.

Match Case

Сравнение строк происходит с использованием регистра.

Use Regular Expressions

Строки словаря являются регулярными выражениями.

Load Dictionary From File

Включает загрузку словаря из внешнего файла. Имя файла словаря задается в Dictionary Strings. Если эта опция включена, то AEP перезагружает словарь для каждого обрабатываемого сообщения.


Iterators

TweakMarketing web site

Navigation: Компоненты правил > Компоненты обработки > Iterators:

Введение
No contents entries on this page
Contents
Topic functions menu
Menu
Go to previous topic
Go to home topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • No expanding elements on this page Show/Hide Expanders

Итераторы - компоненты обработки, которые выполняют заданный набор компонентов для строк, блоков, слов и регулярных выражений в источнике текста.

Итераторы находятся в папке Iterators в Палитре Компонентов.

В AEP есть следующие итераторы

Компонент | Описание
Line Iterator | Выполняет набор компонентов для строк в заданном источнике текста
Block Iterator | Выполняет набор компонентов для блоков в заданном источнике текста
Regular Expression Iterator | Выполняет набор компонентов для регулярных выражений в заданном источнике текста
Word Iterator | Выполняет набор компонентов для слов в заданном источнике текста
Excel Iterator | Выполняет набор компонентов для строк заданного листа в документе MS Excel.
Database Iterator | Выполняет набор компонентов для каждой записи результата SQL запроса.

Примечание

Работу итератора можно прервать с помощью компонента Iterator Stopper.

Перейти к следующей итерации можно с помощью компонента Next Iteration.


Word Iterator
No contents entries on this page
Menu
Go to previous topic
Go to home topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • No expanding elements on this page Show/Hide Expanders

Выполняет набор компонентов для слов в заданном источнике текста. Обрабатываются только слова, которые удовлетворяют условию итератора. Для каждой итерации из источника текста извлекается следующее подходящее слово, после чего преобразовывается и помещается в заданную переменную. После этого выполняется набор компонентов итератора. Итератор прекращает свою работу если слово, удовлетворяющее его условию, не было найдено.

Result Variable

Задает имя переменной, в которую при каждой итерации будет извлекаться слово.

Iteration Variable

Задает имя переменной, в которую помещается номер итерации.

Source

Задает источник текста из которого извлекается слово.

Start After

Задает условие на начало извлекаемого при каждой итерации слова. Возможны следующие режимы работы:

Begin of Word

Искомое слово начинается с начала слова.

Defined Text

Искомое слово начинается после заданного текста в слове. Можно использовать шаблон.

Defined Text at Begin of Word

Искомое слово начинается после заданного текста в начале слова. Можно использовать шаблон.

Match Case

Включает использование регистра при поиске начала искомого слова.

Use Regular Expressions

Включает использование регулярных выражений при поиске начала искомого слова.

Include Defined Text into Result

Включает добавление заданного текста в начало извлекаемого слова.

Remove Spaces

Включает удаление пробелов в начале извлеченного слова.

Continue Until

Задает условие на конец извлекаемого при каждой итерации слова. Возможны следующие режимы работы:

End of Word

Искомое слово заканчивается в конце слова.

Defined Text

Искомое слово заканчивается перед заданным текстом в слове. Можно использовать шаблон.

Defined Text at End of Word

Искомое слово заканчивается перед заданным текстом в конце слова. Можно использовать шаблон.

Match Case

Включает использование регистра при поиске конца искомого слова.

Use Regular Expressions

Включает использование регулярных выражений при поиске конца искомого слова.

Include Defined Text into Result

Включает добавление заданного текста в конец извлекаемого слова.

Remove Spaces

Включает удаление пробелов в конце извлеченного слова.

Ignore Empty Words

Включает пропуск пустых слов.

Use Text Qualifiers

Устанавливает текстовые указатели, которые автоматически удаляются из извлеченных слов.

Use Custom Delimiter(s)

Устанавливает символы, которые разделяют слова. По умолчанию используются пробел, табуляция и символ новой строки.

Words May Contain New Line

Включает игнорирование символов новых строк для символов-разделителей (пользовательских и стандартных). Таким образом слова могут содержать символ новой строки.

Смотри также

Iterators

Iterator Stopper

Next Iteration


Line Iterator
No contents entries on this page
Menu
Go to previous topic
Go to home topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • No expanding elements on this page Show/Hide Expanders

Выполняет набор компонентов для строк в заданном источнике текста. Обрабатываются только строки, которые удовлетворяют условию итератора. Для каждой итерации из источника текста извлекается следующая подходящая строка и помещается в заданную переменную. После этого выполняется набор компонентов итератора. Итератор прекращает свою работу если строка, удовлетворяющая его условию, не была найдена.

Result Variable

Задает имя переменной, в которую при каждой итерации будет извлекаться строка.

Iteration Variable

Задает имя переменной, в которую помещается номер итерации.

Source

Задает источник текста из которого извлекается строка.

Start After

Задает условие на начало извлекаемой при каждой итерации строки. Возможны следующие режимы работы:

Begin of Line

Искомая строка начинается с начала строки.

Defined Text

Искомая строка начинается после заданного текста в строке. Можно использовать шаблон.

Defined Text at Begin of Line

Искомая строка начинается после заданного текста в начале строки. Можно использовать шаблон.

Match Case

Включает использование регистра при поиске начала искомой строки.

Use Regular Expressions

Включает использование регулярных выражений при поиске начала искомой строки.

Include Defined Text into Result

Включает добавление заданного текста в начало извлекаемой строки.

Remove Spaces

Включает удаление пробелов в начале извлеченной строки.

Continue Until

Задает условие на конец извлекаемой при каждой итерации строки. Возможны следующие режимы работы:

End of Line

Искомая строка заканчивается в конце строки.

Defined Text

Искомая строка заканчивается перед заданным текстом в строке. Можно использовать шаблон.

Defined Text at End of Line

Искомая строка заканчивается перед заданным текстом в конце строки. Можно использовать шаблон.

Match Case

Включает использование регистра при поиске конца искомой строки.

Use Regular Expressions

Включает использование регулярных выражений при поиске конца искомой строки.

Include Defined Text into Result

Включает добавление заданного текста в конец извлекаемой строки.

Remove Spaces

Включает удаление пробелов в конце извлеченной строки.

Return Full String

Включает извлечение всей строки для найденных строк.

Ignore Empty Strings

Включает пропуск пустых строк.

Смотри также

Iterators

Block Iterator

Iterator Stopper

Next Iteration


Block Iterator
No contents entries on this page
Menu
Go to previous topic
Go to home topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • No expanding elements on this page Show/Hide Expanders

Выполняет набор компонентов для блоков в заданном источнике текста. Обрабатываются только блоки, которые удовлетворяют условию итератора. Для каждой итерации из источника текста извлекается следующий подходящий блок и помещается в заданную переменную. После этого выполняется набор компонентов итератора. Итератор прекращает свою работу если блок, удовлетворяющий его условию, не был найден.

Result Variable

Задает имя переменной, в которую при каждой итерации будет извлечен блок.

Iteration Variable

Задает имя переменной, в которую помещается номер итерации.

Source

Задает источник текста, из которого извлекается блок.

Start After

Задает условие на начало извлекаемого при каждой итерации блока. Возможны следующие режимы работы:

Begin of Data

Начало блока совпадает с началом источника данных.

Defined Text

Блок начинается после заданного текста.

Match Case

Включает использование регистра при поиске начала блока.

Line Start Only

Включает проверку того, что найденное начало блока находится в начале строки.

Whole Text

Включает режим проверки при котором заданный текст должен полностью совпадать с началом блока.

Use Regular Expressions

Включает использование регулярных выражений при поиске начала блока.

Include Defined Text into Result

Включает добавление заданного текста в начало блока.

Block Continue Until

Задает условие на конец извлекаемого при каждой итерации блока. Возможны следующие режимы работы:

End of Data

Конец блока совпадает с концом источника текста.

Defined Text

Блок заканчивается перед заданным текстом.

Defined Text or End of Source

Блок заканчивается перед заданным текстом. Если этот текст не найден, блок заканчивается в конце текстового источника.

Match Case

Включает использование регистра при поиске конца блока.

Line Start Only

Включает проверку того, что найденный конец блока находится в начале строки.

Whole Text

Включает режим сравнения, при котором заданный текст должен полностью совпадать с концом блока.

Use Regular Expressions

Включает использование регулярных выражений при поиске конца блока.

Include Defined Text into Result

Включает добавление заданного текста в конец извлеченного блока.

Remove Empty Lines

Включает удаление пустых строк из извлеченных блоков.

Ignore Empty Blocks

Включает пропуск пустых блоков.

Смотри также

Iterators

Line Iterator

Iterator Stopper

Next Iteration


Regular Expression Iterator
No contents entries on this page
Menu
Go to previous topic
Go to home topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • No expanding elements on this page Show/Hide Expanders

Выполняет набор компонентов для регулярных выражений в заданном источнике текста. При каждой итерации в источнике текста находится следующее регулярное выражение. Оно с помощью настроек итератора разбивается и помещается в набор переменных. После этого выполняется набор компонентов итератора. Итератор прекращает свою работу если выражение не было найдено.

Source

Задает источник текста, из которого при каждой итерации извлекаются данные.

Expression

Задает регулярное выражение.

Output Variables

Список переменных, куда будут извлечены данные.

Iteration Variable

Задает имя переменной, в которую помещается номер итерации.

Expression Flags

Настройка дополнительных опций регулярных выражений.

Result not Begin of Line

Когда этот флаг включен, результат не является началом строки.

Result not End of Line

Когда этот флаг включен, результат не является концом строки.

Result not Begin of Word

Когда этот флаг включен, результат не является началом слова.

Result not End of Word

Когда этот флаг включен, результат не является концом слова.

Dot not Match Newline

Когда этот флаг включен, выражение "." не может быть переводом строки.

Dot not Match Null

Когда этот флаг включен, выражение "." не может быть нулевым символом.

Match Any Results

Когда этот флаг включен, возвращается первая подходящая строка, вместо того чтобы искать саму длинную подходящую строку. Этот флаг может значительно уменьшить время нахождения совпадения, но что совпало не определяется.

Match Partial Results

Когда этот флаг включен, возвращается частично подходящая строка. Это значит, что один или несколько символов в конце входящего текста совпадает с несколькими префиксами в регулярном выражении.

Match Single line

Эквивалент инвертированного модификатора Perl /m

Ignore Case

Включить регистронезависимый поиск

Use Locale Specific Collation

Смотри также

Regular Expression

Iterators

Iterator Stopper

Next Iteration


Excel Iterator
No contents entries on this page
Menu
Go to previous topic
Go to home topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • No expanding elements on this page Show/Hide Expanders

Выполняет набор компонентов для строк заданного листа в документе MS Excel. Данные из ячеек строки передаются в переменные, заданные в компоненте списком. Порядок переменных в списке должен соответствовать колонкам извлекаемой области, т.е. в первую переменную в списке передаются значения из первой колонки, во вторую - из второй и т.д. Итерации выполняются для всех строк в заданной области. При извлечении пустой строки итерации прерываются.

Select Workbook

Задает имя файла рабочей книги Excel. Возможно использование шаблонов.

Worksheet

Задает имя листа, с которым будет производиться обмен данными.

Data Condition

Задает дополнительное условие на значение в колонке.

Where

Задает имя колонки, для которой будет проверяться условие. Имя колонки берется из ячейки первой строки. Для первого столбца имя берется из ячейки A1, для второго - A2, и т.д.

Condition

Задает условие на значение для колонки, указанной в Where. Строки, для которых значение в заданной колонке не удовлетворяет условию, будут пропущены.

Range

Задает область, для которой будут извлекаться строки. По умолчанию используется весь лист.

Data variables

Задает список переменных, в которые извлекаются данные из ячеек очередной строки.

Iteration Variable

Set variable name iteration number to be placed in.

Caching Tab

Описание вкладки Caching смотрите в статье Кэширование в компонентах, работающих с серверами данных.

Примечание

Для работы этого компонента необходимо установить Microsoft Excel.

Смотри также

Iterators


Database Iterator
No contents entries on this page
Menu
Go to previous topic
Go to home topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • No expanding elements on this page Show/Hide Expanders

Выполняет набор компонентов для каждой записи результата SQL запроса.

Data Source

Вызов диалога выбора источника данных.

Enter SQL expression

Задает SQL запрос для работы с базой данных. В тексте запроса можно использовать шаблон.

Output Variables

Указывает в какие переменные передаются данные из полей записи.

Iteration Variable

Задает имя переменной, в которую помещается номер итерации.

Caching Tab

Описание вкладки Caching смотрите в статье Кэширование в компонентах, работающих с серверами данных.

Примечание

Для работы с этим компонентом необходимо, чтобы был установлен Microsoft Data Access Components 2.5 или выше. Подробную информацию о MSDAC можно найти на сайте Universal Data Access.

Смотри также

Iterators

Database Access

Simple Database Access

SQL


Modifiers

TweakMarketing web site

Navigation: Компоненты правил > Компоненты обработки > Modifiers:

Введение
No contents entries on this page
Contents
Topic functions menu
Menu
Go to previous topic
Go to home topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • No expanding elements on this page Show/Hide Expanders

Модификаторы - компоненты обработки, используемые для модификации источников текста и частей сообщения. Эти компоненты модифицируют сообщения, получаемые при работе с AEP в режиме Посредника, для тех правил, в которых включен флаг Realtime Processing.

Модификаторы находятся в папке Modifiers в Палитре Компонентов.

В AEP есть следующие модификаторы

Компонент | Описание
Line Modifier | Используется для построчного модифицирования источника текста.
Block Modifier | Используется для поблочного модифицирования источника текста.
Regular Expression Modifier | Используется для модифицирования источника текста с помощью регулярных выражений.
Simple Modifier | Используется для модифицирования источника текста с помощью простых операций удаления или преобразования.
Message Parts Modifier | Используется для модифицирования частей сообщения.
Attachments Modifier | Используется для добавления и удаления вложений в сообщениях.
HTML Modifier | Используется для модифицирования HTML текста

Примечание

Модификаторы - очень мощные компоненты, которые позволяют модифицировать сообщения "на лету", но только если в их правилах включен флаг Realtime Processing. Если это не так, то все изменения произведенные модификаторами не влияют на сообщения полученные почтовым клиентом во время работы с ним в режиме Посредника.


Line Modifier
No contents entries on this page
Menu
Go to previous topic
Go to home topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • No expanding elements on this page Show/Hide Expanders

Используется для построчного модифицирования источника текста. Возможно удаление, вставка и модификация строк, определяемых по заданному пользователем условию.

Source

Задает источника, в котором модифицируются данные.

New String Start After

Задает условие на начало модифицируемой стоки. Возможны следующие режимы работы:

Begin of Line

Искомая строка начинается с начала строки.

Defined Text

Искомая строка начинается после заданного текста в строке. Можно использовать шаблон.

Defined Text at Begin of Line

Искомая строка начинается после заданного текста в начале строки. Можно использовать шаблон.

Match Case

Включает использование регистра при поиске начала искомой строки.

Use Regular Expressions

Включает использование регулярных выражений при поиске начала искомой строки.

Include Defined Text into Result

Включает добавление заданного текста в начало модифицируемой строки.

Remove Spaces

Включает пропуск пробелов в начале извлеченной строки.

New String Continue Until

Задает условие на конец модифицируемой строки. Возможны следующие режимы работы:

End of Line

Искомая строка заканчивается в конце строки.

Defined Text

Искомая строка заканчивается перед заданным текстом в строке. Можно использовать шаблон.

Defined Text at End of Line

Искомая строка заканчивается перед заданным текстом в конце строки. Можно использовать шаблон.

Defined Text or End of Line

Искомая строка заканчивается перед заданным текстом в конце строки или концом строки. Можно использовать шаблон.

Match Case

Включает использование регистра при поиске конца искомой строки.

Use Regular Expressions

Включает использование регулярных выражений при поиске конца искомой строки.

Include Defined Text into Result

Включает добавление заданного текста в конец извлекаемой строки.

Remove Spaces

Включает пропуск пробелов в конце модифицируемой строки.

Search String Action

Задает действие, выполняемое с найденной строкой. Возможны следующие действия:

Delete String

Удаление найденной строки.

Insert Text Before String

Вставка заданного текста перед найденной строкой. Возможно использование шаблона.

Replace String

Замена найденной строки заданным текстом. Возможно использование шаблона.

Insert Text After String

Вставка заданного текста после найденной строки. Возможно использование шаблона.

Process All Strings

Включает модифицирование всех найденных строк, иначе модифицируется только первая.

Ignore Empty Strings

Включает пропуск пустых строк.

Смотри также

Modifiers

Block Modifier


Block Modifier
No contents entries on this page
Menu
Go to previous topic
Go to home topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • No expanding elements on this page Show/Hide Expanders

Используется для поблочного модифицирования источника текста. Возможно удаление, вставка и модификация блоков, определяемых по заданному пользователем условию.

Source

Задает источник, в котором модифицируется блок.

Block Start

Задает условие на начало модифицируемого блока. Возможны следующие режимы работы:

Begin of Data

Начало блока совпадает с началом источника данных.

After Defined Text

Блок начинается после заданного текста.

Match Case

Включает использование регистра при поиске начала блока.

Line Start Only

Включает проверку того, что найденное начало блока находится в начале строки.

Whole Text

Включает режим проверки при котором заданный текст должен полностью совпадать с началом блока.

Use Regular Expressions

Включает использование регулярных выражений при поиске начала блока.

Include Defined Text into Result

Включает добавление заданного текста в начало блока.

Block Continue Until

Задает условие на конец модифицируемого блока. Возможны следующие режимы работы:

End of Data

Конец блока совпадает с концом источника текста.

Defined Text

Блок заканчивается перед заданным текстом.

Defined Text or End of Source

Блок заканчивается перед заданным текстом. Если этот текст не найден, блок заканчивается в конце текстового источника.

Match Case

Включает использование регистра при поиске конца блока.

Line Start Only

Включает проверку того, что найденный конец блока находится в начале строки.

Whole Text

Включает режим сравнения, при котором заданный текст должен полностью совпадать с концом блока.

Use Regular Expressions

Включает использование регулярных выражений при поиске конца блока.

Include Defined Text into Result

Включает добавление заданного текста в конец извлеченного блока.

New Block Action

Задает действие, выполняемое с найденным блоком. Возможны следующие действия:

Delete String

Удаление найденного блока.

Insert Text Before String

Вставка заданного текста перед найденным блоком. Возможно использование шаблона.

Replace String

Замена найденного блока заданным текстом. Возможно использование шаблона.

Insert Text After String

Вставка заданного текста после найденного блока. Возможно использование шаблона.

Process All Blocks

Включает модифицирование всех найденных блоков, иначе модифицируется только первый.

Смотри также

Modifiers

Line Modifier


Attachments Modifier
No contents entries on this page
Menu
Go to previous topic
Go to home topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • No expanding elements on this page Show/Hide Expanders

Используется для добавления и удаления вложений в сообщениях.

Action

Задает действие, производимое с вложением. Возможны следующие действия:

Delete All Attachments

Удалить все вложения.

Delete Custom Attachments

Удалить вложения по заданной маске.

Add File Attachment

Добавить вложения, используя заданный список файлов.

Add Text Attachment

Добавить вложение, используя заданный текст.

Custom Mask

Задает маску, с помощью которой определяются имена вложений, для которых применяется заданное действие.

NOT met

Условие "НЕ" для указанного имени вложения

Allow 8-bit Characters in Headers

Установка кодирования заголовков, если в них содержатся национальные символы. Если включено, то заголовки не кодируются.

Text Attachment

Задает текст, который используется при добавлении текстового вложения.

Attachment Name

Задает имя текстового вложения. Если этот флажок выключен, то будет использовано некоторое уникальное имя.

Encode Text Using

Устанавливает тип кодирования для текста добавляемого вложения.

Default Codepage

Установка кодировки для текста добавляемого вложения.

Setup File Attachments

Задает файлы, которые будут добавлены в сообщение как вложения.

Смотри также

Modifiers

Message Parts Modifier


Simple Modifier
No contents entries on this page
Menu
Go to previous topic
Go to home topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • No expanding elements on this page Show/Hide Expanders

Используется для модифицирования источника текста с помощью простых операций. Выполняет удаление пробелов, пустых строк, изменение регистра букв.

Source

Задает модифицируемый источник текста.

Actions

Задает действия, производимые с источником. Возможны следующие действия:

Remove Left Spaces

Удалить пробелы в начале источника.

Remove Right Spaces

Удалить пробелы в конце источника.

Remove Duplicate Spaces

Заменить повторяющиеся пробелы одним пробелом.

Remove All Empty Lines

Удалить все пустые строки в источнике.

Remove Leading Empty Lines

Удалить все пустые строки в начале источника.

Remove Two or More Empty Lines

Удалить в повторяющихся подряд пустых строках все строки кроме первой.

Remove Trailing Empty Lines

Удалить все пустые строки в конце источника.

Remove New Line Characters

Удалить все переводы каретки.

Convert to Lowercase

Преобразовать буквы источника к нижнему регистру.

Convert to Uppercase

Преобразовать буквы источника к верхнему регистру.

Capitalize Words

Устанавливает первые буквы слов в верхний регистр.

Смотри также

Modifiers


Regular Expression Modifier
No contents entries on this page
Menu
Go to previous topic
Go to home topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • No expanding elements on this page Show/Hide Expanders

Используется для модифицирования источника текста с помощью регулярных выражений. Возможно удаление, вставка и модификация данных, определяемых по заданному пользователем регулярному выражению.

Source

Задает источника, в котором модифицируются данные.

Method

Метода поиска.

Expression

Задает регулярное выражение.

Action

Задает действие, выполняемое с найденными данными. Возможны следующие действия:

Delete Results

Удаление найденных данных.

Insert Text Before Results

Вставка заданного текста перед найденными данных.

Replace Results

Замена найденных данных заданным текстом.

Insert Text After Results

Вставка заданного текста после найденных данных.

New Text Strings

Задает тексты, используемые при выполнении действия.

Process All Matches

Включает модифицирование всех найденных данных, иначе модифицируется только первые, удовлетворяющие регулярному выражению.

Expression Flags

Настройка дополнительных опций регулярных выражений.

Result not Begin of Line

Когда этот флаг включен, результат не является началом строки.

Result not End of Line

Когда этот флаг включен, результат не является концом строки.

Result not Begin of Word

Когда этот флаг включен, результат не является началом слова.

Result not End of Word

Когда этот флаг включен, результат не является концом слова.

Dot not Match Newline

Когда этот флаг включен, выражение "." не может быть переводом строки.

Dot not Match Null

Когда этот флаг включен, выражение "." не может быть нулевым символом.

Match Any Results

Когда этот флаг включен, возвращается первая подходящая строка, вместо того чтобы искать саму длинную подходящую строку. Этот флаг может значительно уменьшить время нахождения совпадения, но что совпало не определяется.

Match Partial Results

Когда этот флаг включен, возвращается частично подходящая строка. Это значит, что один или несколько символов в конце входящего текста совпадает с несколькими префиксами в регулярном выражении.

Match Single line

Эквивалент инвертированного модификатора Perl /m

Ignore Case

Включить регистронезависимый поиск

Use Locale Specific Collation

Смотри также

Regular Expression

Modifiers


Message Parts Modifier
No contents entries on this page
Menu
Go to previous topic
Go to home topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • No expanding elements on this page Show/Hide Expanders

Используется для модифицирования частей сообщения. Возможно добавление новой части, замена части заданным текстом и удаление указанных частей из сообщения.

Action

Задает действие, производимое с частями сообщения. Возможны следующие действия:

Add New Message Part

Добавить в сообщение новую часть. Тип части задается в Content Type, текст в Part Body.

Replace Message Part

Заменить текст части, тип которой задан в Content Type, на текст, заданный в Part Body.

Delete Message Part

Удалить часть, тип которой задан в Content Type.

Keep Message Part

Удалить все части, кроме указанных в Content Type.

Content Type

Задает тип части для заданного действия.

Search depth

Как глубоко компонент будет искать требуемую часть во вложенных MIME Parts

Part Body

Задает текст добавляемой или заменяемой части.

Text as Message Par

Текст заданный в Part Body уже является MIME Part, и не требует дополнительной обработки.

Allow 8-bit Characters in Headers

Установка кодирования заголовков, если в них содержатся национальные символы. Если включено, то заголовки не кодируются.

Encode Text Using

Устанавливает тип кодирования для текста добавляемой части.

Default Codepage

Устанавливает кодировку для текста добавляемой части.

Смотри также

Modifiers

Attachments Modifier


HTML Modifier
No contents entries on this page
Menu
Go to previous topic
Go to home topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • No expanding elements on this page Show/Hide Expanders

Используется для модифицирования HTML текста. Возможно удаление, замена или модификация HTML тэгов.

Source

Задает источника, в котором модифицируются данные

Generate text from HTML

Преобразование HTML в обычный текст.

Strip HTML tags

Удаление HTML разметки. Возможны следующие режимы работы:

All

Удаление всей HTML разметки

User defined only

Удаление только тэгов указанных пользователем.

All except user defined

Удаление всех тэгов кроме указанных пользователем.

Remove SCRIPT tags

Удаление тэга SCRIPT. Тэг <script> обычно используется для включения скриптов исполняемых на стороне клиента. Например JavaScript.

Remove STYLE tags

Удаление тэга STYLE. Тэг <style> обычно используется для объявления стилевой разметки документа HTML.

Remove COMMENT tags

Удаление комментариев из HTML документа. Комментарии не показываются в обозревателях.

Replace <BR> with carriage return

Замена тэга <BR> на символ перевода строки.

Decode HTML Entities

Преобразование спецсимволов. Для примера: &copy; будет преобразован в символ ©

Смотри также

HTML

HTML Entity


Кэширование в компонентах, работающих с серверами данных
No contents entries on this page
Menu
Go to previous topic
Go to home topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • No expanding elements on this page Show/Hide Expanders

Компоненты обработки, работающие с серверами данных, позволяют использовать кэширование при подключениях к серверу. Применение кэширования увеличивает скорость обработки сообщений списком правил. Это происходит из-за того, что подключение к серверу данных осуществляется только один раз, и поддерживается до тех пор пока это необходимо. В AEP кэширование применяется в следующих компонентах:

·Database Access

·Simple Database Access

·Database Iterator

·Excel Access

·Excel Iterator

Кэширование может применяться:

·на время обработки одного сообщения списком правил

·на время сессии, т.е. обработки всех сообщений, полученных за одну проверку учетных записей

Enable Caching

Использовать кэширование

Enable Session Cache

Использовать кэширование на время сессии.

Примечание

Помимо ускорения, кэширование позволяет использовать специальные возможности некоторых баз данных. Например, при добавлении строки в таблицу MySQL, идентификатор добавленной записи можно извлечь с помощью функции LAST_INSERT_ID.

INSERT INTO CLIENT (id,email)

VALUES(NULL,'<%Sender%>); # generate ID by inserting NULL

INSERT INTO ORDER (client,orderno)

VALUES(LAST_INSERT_ID(),'<%OrderNo%>'); # use ID in second table

Компонент Database Access позволяет выполнить только однo SQL выражение. Таким образом для выполнения инструкций необходимо два компонента. Без кэширования LAST_INSERT_ID() во второй инструкции всегда возвращает 0. Это происходит потому, что при завершении работы компонента с первой инструкцией происходит разрыв соединения, и значение LAST_INSERT_ID утрачивается. Кэширование позволяет обойти такую ситуацию.


Variables

TweakMarketing web site

Navigation: Компоненты правил > Компоненты обработки:

Переменные
No contents entries on this page
Contents
Topic functions menu
Menu
Go to previous topic
Go to home topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • No expanding elements on this page Show/Hide Expanders

Все компоненты обработки для обмена данными между собой используют переменные.

Список переменных

Для каждого правила ведется свой список переменных. Этот список доступен в контекстном меню полей, в которых можно использовать переменные. Чтобы ввести в поле имя переменной, достаточно выбрать его из списка. Это позволяет исключить ошибки ввода с клавиатуры. Кроме того, в зависимости от контекста, имя автоматически приводится к требуемому синтаксическому виду. Например, переменная Variable будет вставлена в текстовое поле как <%Variable%>, в database компонент - как '<%Variable>' , а в Jscript и VBScript компоненты - как Variable.Value.

Группировка переменных

Для большего удобства пользования, список переменных организован в систему иерархических меню. Он может содержать:

·отдельные переменные

·группу "Variables"

·группы, созданные пользователем

Отдельные переменные могут не входить ни в одну из групп. Они помещаются в начало списка и, поэтому, доступны одним щелчком мыши. Обычно, так размещаются наиболее часто используемые переменные.

Группа "Variables" создается автоматически. По умолчанию, все переменные помещаются в эту группу.

Пользовательские группы создаются для более удобной организации списка. Каждая группа также представляет собой список, который может содержать подгруппы и отдельные переменные. Такая система позволяет оптимизировать количество пунктов в меню при большом количестве переменных, а также сортировать переменные по категориям, например, "Shipment Details" или "Client Parameters".

Ведение списка

Поля, в которых задаются переменные, имеют кнопку вызова редактора списка - VarGroup. В редакторе списка можно указать положение переменной в списке, а также создавать новые группы. Группа, в которой находится переменная, отмечается в меню маркером.

Чтобы указать положение переменной в списке, выберите требуемую группу и нажмите в ней <Place Here>.

Чтобы создать новую группу, в соответствующем месте списка нажмите <Add New Group> и введите ее имя. Текущая переменная автоматически помещается в созданную группу.

Группа в списке существует до тех пор, пока в ней есть хотя бы одна переменная. Если все переменные удалены из группы - группа автоматически удаляется.


Regular Expressions
No contents entries on this page
Menu
Go to previous topic
Go to home topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • No expanding elements on this page Show/Hide Expanders

Advanced Email Parser использует популярную библиотеку Boost Library для работы с регулярными выражениями (RegExp)

Регулярные выражения используют Perl синтаксис, но не поддерживают модификаторы в выражении, а только через флаги Regexp Flags

Вы можете найти больше информации о Регулярных выражениях на следующих страницах:

PerlRe, PCRE


Database Manager

TweakMarketing web site

Navigation: Компоненты правил > Компоненты обработки:

Менеджер источников данных
No contents entries on this page
Contents
Topic functions menu
Menu
Go to previous topic
Go to home topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • No expanding elements on this page Show/Hide Expanders

Используется для того, чтобы изменить источник данных сразу у множества компонентов для работы с базами данных.

После внесения изменений в параметры Data Source любого компонента, Database Manager автоматически распространяет эти изменения на все остальные компоненты с одноименным Data Source. Database Manager позволяет переименовать Data Source, удалить его или заменить другим.

Для вызова Database Manager необходимо в выпадающем списке Data Source нужного компонента для работы с базами данных выбрать <Data Sources Manager...>. На экране появится форма Edit Data Sources. Форма имеет отсортированный по алфавиту список имен Data Sources и командные кнопки. Для внесения изменений выберите требуемый Data Source в списке и нажмите нужную кнопку. Все изменения, внесенные в форме вступают в силу сразу после выхода из нее.

Remove

Удаляет выбранное имя Data Source после подтверждения. Всем компонентам с удаленным именем автоматически подставляется другое имя - либо существующее имя Data Source, имеющего аналогичные свойства, либо уникальное имя вида New Data SourceXXX.

Rename

Изменяет имя выбранного Data Source. Новое имя вводится поверх прежнего и должно быть уникальным в списке.

Replace...

Заменяет текущий Data Source другим. Появляется выпадающий список, в котором выбирается новый Data Source. Текущий Data Source удаляется из списка.

Смотри также

DatabaseAccess

Database Iterator


Отладочные сообщения
No contents entries on this page
Menu
Go to previous topic
Go to home topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • No expanding elements on this page Show/Hide Expanders

Отладочные сообщения используются для проверки правильности работы Правил. Отладочные сообщения не загружаются с почтовых серверов, и поэтому их обработка происходит быстрее, чем обработка входящих сообщений. В остальном, отладочные сообщения ни чем не отличаются от входящих сообщений.

Отладочные сообщения хранятся в папке правила Debug Messages. AEP позволяет обрабатывать отладочное сообщение либо правилом, в чьей папке находится сообщение, либо всеми правилами списка. Эти команды можно вызвать из меню Tools и из контекстного меню отладочного сообщения.

Отладочные сообщения можно создать двумя путям:

·загрузкой из файла

·захватом входящих сообщений

Команду загрузки отладочного сообщения из файла можно вызвать из контекстного меню правила или отладочного сообщения.

Так же вы можете просмотреть отладочное сообщение в Message Analyzer. Этот инструмент поможет вам определить части и кодировки писем для корректной обработки правилом.

Смотри также

Debug Alert

Захват входящих сообщений

Обозреватель Журнала


Настройка почтовых программ

TweakMarketing web site

Navigation: Настройка почтовых программ в режиме Посредника:

Введение
No contents entries on this page
Contents
Topic functions menu
Menu
Go to previous topic
Go to home topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • No expanding elements on this page Show/Hide Expanders

Для использования учетной записи в режиме Посредника необходимо правильно настроить соответствующую учетную запись в почтовом клиенте. В учетной записи почтового клиента настраиваются адрес почтового сервера и имя входа, используемое для доступа к почтовому серверу.

Адрес почтового сервера

В адрес почтового сервера устанавливается адрес компьютера, на котором установлен AEP. Если AEP установлен на тот же компьютер, что и почтовый клиент, то можно использовать localhost или 127.0.0.1.

Имя входа

Имя входа задается следующим образом:

Имя входа на внешнем почтовом сервере/адрес внешнего почтового сервера

Например, для john@mail.yahoo.com это будет john/pop.mail.yahoo.com

Адрес и имя входа на внешнем почтовом сервере должны совпадать с именем входа и адресом почтового сервера соответствующей учетной записи AEP. Если адрес внешнего почтового сервера задавался в виде IP адреса, то и в настройках почтового клиента он должен быть задан в виде IP адреса.

Примеры настройки почтовых клиентов приведены для почтового сервера pop.mail.yahoo.com, подключение к которому, осуществляется с помощью имени john.

Смотри также

Настройка Microsoft Outlook Express

Настройка The Bat

Настройка Eudora


Настройка Microsoft Outlook Express
No contents entries on this page
Menu
Go to previous topic
Go to home topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • No expanding elements on this page Show/Hide Expanders

Приводится описание настройки Outlook Express версии 6.0, более ранние версии Outlook Express в настройке не отличаются. В меню "Tools" выберите пункт "Accounts...". В появившемся окне "Internet Accounts" перейдите на вкладку "Mail", как показано на рисунке.

Выделите учетную запись, которую Вы хотите настроить для работы через AEP и нажмите кнопку "Properties". Если Вы имеете несколько учетных записей для почты, которые Вы хотите настроить для работы с AEP, то Вам придется выполнить описываемую здесь операцию несколько раз. В появившемся окне "имя учетной записи Properties" перейдите на вкладку "Servers". Измените адрес "Incoming mail (POP3)" на localhost или 127.0.0.1 и "Account name" на john/pop.mail.yahoo.com (см. рисунок ниже). Нажмите кнопку "OK" и настройка закончена!


Настройка Eudora
No contents entries on this page
Menu
Go to previous topic
Go to home topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • No expanding elements on this page Show/Hide Expanders

Описание настройки программы дается на базе версии 5. Если у Вас одна учетная запись, то выберите в меню "Tools" пункт "Options...". В открывшемся окне "Options" перейдите в категорию "Checking Mail" как показано на рисунке. Измените значение "Mail Server" на localhost или 127.0.0.1 и "Login Name" на john/pop.mail.yahoo.com (показано на рисунке). Нажмите кнопку "OK" и настройка закончена!

Если у Вас несколько учетных записей, то выберите в меню "Tools" пункт "Personalities". Выделите учетную запись, которую Вы хотите настроить для работы с AEP, и нажмите Alt+Enter либо щелкните по выбранной учетной записи правой кнопкой мыши и выберите в контекстном меню пункт "Properties". В появившемся окне "Account Settings for Имя Пользователя" измените значение "Login Name" на john/pop.mail.yahoo.com. Перейдите на вкладку "Incoming Mail". Измените значение "Server" на localhost или 127.0.0.1. Нажмите кнопку "OK" и настройка закончена!


Настройка The Bat
No contents entries on this page
Menu
Go to previous topic
Go to home topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • No expanding elements on this page Show/Hide Expanders

Настройка The Bat описана на примере версии 1.49. Выберите учетную запись, которую Вы хотите настроить, и в меню "Account" выберите пункт "Properties...". В появившемся окне "Edit User - Имя Пользователя" перейдите на раздел настроек "Transport", как показано на рисунке. Если Вы хотите настроить несколько учетных записей для работы через AEP, то Вам придется выполнить описанную ниже операцию несколько раз.

Измените "Mail Server" на localhost и "User" на john/pop.mail.yahoo.com. Нажмите кнопку "OK" и настройка закончена!


Описание примеров

TweakMarketing web site

Navigation: Описание примеров:

Введение
No contents entries on this page
Contents
Topic functions menu
Menu
Go to previous topic
Go to home topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • No expanding elements on this page Show/Hide Expanders

Изучить возможности AEP можно с помощью следующих примеров

Пример | Описание
Список рассылки | Составление списка рассылки из форм заказов DigiBuy.
Пример работы с блочными операциями извлечения | Обработка форм заказов RegNow.
Пример работы с SMTP Sender | Автоматическая отправка потерянного регистрационного кода.
Пример работы с базой данных | Статистика входящих сообщений.


Составление списка рассылки из форм заказов Digibuy
No contents entries on this page
Menu
Go to previous topic
Go to home topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • No expanding elements on this page Show/Hide Expanders

Составление списка рассылки из форм заказов Digibuy - простейший пример работы

Описание примера

Этот пример демонстрирует работу построчной операции извлечения (Line Parser) и операции записи шаблона в файл (Template File Writer).

Для загрузки примера импортируйте список правил rules.txt из папки Examples\Simple.

Пример является решением задачи по составлению списка рассылки из форм заказов Digibuy. При получении сообщения имя и электронный адрес отправителя сохраняются в файле userlist.txt, который находится в папке Examples\Simple.

Описание правила примера

Фильтрация

Содержит Subject Filter, который отфильтровывает все сообщения, кроме отладочных сообщений из примера.

Обработка

·Извлечение имени и адреса отправителя из полей Customer Name и Email Address

·Сохранение выделенных данных в файле

Отладочные сообщения

Содержит отладочное сообщение для демонстрации работы правила.


Обработка форм заказов RegNow
No contents entries on this page
Menu
Go to previous topic
Go to home topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • No expanding elements on this page Show/Hide Expanders

Обработка форм заказов RegNow - пример работы с блочными операциями извлечения (Block Parsers).

Описание примера

Этот пример демонстрирует, как с помощью поблочной операции извлечения извлекать данные из сообщений с повторяющимися полями.

Для загрузки примера импортируйте список правил rules.txt из папки Examples\BlockParser.

Пример является решением задачи по извлечению данных из форм заказов RegNow. При получении сообщения из него извлекаются имена заказчика и компании, почтовый адрес и код страны. По коду страны определяется имя страны. Извлеченные данные сохраняются в текстовый файл.

Описание правила примера

Фильтрация

Содержит Subject Filter, который отфильтровывает все сообщения, кроме отладочных сообщений из примера.

Обработка

·Извлечение блока отправки (shipping block) и блока покупки (purchasing block)

·Определение какой из этих блоков необходимо обрабатывать

·В случае необходимости обработка блока отправки

·В случае необходимости обработка блока покупки

·Получение имени страны по коду страны

·Сохранение полученных данных в файл

Отладочные сообщения

Содержит два отладочных сообщения для демонстрации работы правила. Первое отладочное сообщение содержит заполненный блок покупки, второе - блок отправки.


Автоматическая отправка потерянного регистрационного кода
No contents entries on this page
Menu
Go to previous topic
Go to home topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • No expanding elements on this page Show/Hide Expanders

Автоматическая отправка потерянного регистрационного кода - пример работы с SMTP Sender.

Описание примера

Этот пример демонстрирует работу операции обработки (processor) SMTP Sender.

Для загрузки примера импортируйте список правил rules.txt из папки Examples\SMTP.

Пример является решением задачи по автоматизации отправки потерянного регистрационного кода. При получении сообщения, в теме которого присутствуют слова "lost" и "code", зарегистрированному пользователю автоматически высылается сообщение с его регистрационным кодом.

В качестве базы данных пользователей и их кодов используется текстовый файл users.txt в папке Examples\SMTP.

Описание правила примера

Фильтрация

Содержит фильтры, с помощью которых определяется, является ли сообщение запросом о потерянном коде.

Обработка

·Извлечение электронного адреса отправителя

·Поиск кода отправителя с такими адресом.

·Если такой отправитель найден, то ему отправляется сообщение с потерянным кодом.

Отладочные сообщения

Содержит два отладочных сообщения. Первое сообщение - от отправителя, который есть в базе пользователей, второе - от пользователя, которого нет в базе.


Статистика входящих сообщений
No contents entries on this page
Menu
Go to previous topic
Go to home topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • No expanding elements on this page Show/Hide Expanders

Статистика входящих сообщений - пример работы с базой данных при помощи Simple Database Access.

Описание примера

Этот пример демонстрирует работу операции обработки Simple Database Access, с помощью которой происходит обмен данными с таблицей в заданной базе данных. Этот компонент позволяет указать источник данных, таблицу, список соответствия полей заданной таблицы и переменных, с помощью которых происходит обмен данными.

Для загрузки примера импортируйте список правил rules.txt из папки Examples\Simple Database.

Пример является решением задачи по ведению статистики входящих сообщений. При получении сообщения имя и электронный адрес отправителя сохраняется в таблице STATISTICS. Также для каждого отправителя сохраняется количество полученных сообщений, даты получения первого и последнего сообщений.

В качестве источника данных в примере база данных Microsoft Access stats.mdb, которая находится в папке Examples\Database.

Описание правила примера

Фильтрация

Содержит Subject Filter, который отфильтровывает все сообщения, кроме отладочных сообщений из примера.

Обработка

·Извлечение и конвертация даты сообщения с помощью Date Parser.

·Извлечение имени и адреса отправителя.

·Добавление записи для нового отправителя или обновление для уже зарегистрированного осущеcтвляется одним компонентом Simple Database Access.

Отладочные сообщения

Содержит отладочные сообщения для демонстрации работы правила.

Примечание

Сравните правило этого примера с правилом примера Статистика входящих сообщений. Обратите внимание, что теперь используется только один компонент, работающий с базой данных, что значительно упрощает правило.


Отладка правил
No contents entries on this page
Menu
Go to previous topic
Go to home topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • No expanding elements on this page Show/Hide Expanders

Для обработки сообщений применяется список правил. После составления правила часто возникает необходимость проверить правильность его работы.

Для упрощения отладки, AEP содержит следующие средства:

·отладочные сообщения

·операция Debug Alert

Отладочные сообщения позволяют проверять правильность работы правил без соединения с почтовым сервером.

Операция Debug Alert позволяет выводить значения переменных в окно сообщения и в Журнал.

Смотри также

Отладочные сообщения

Захват входящих сообщений

Debug Alert


Захват входящих сообщений
No contents entries on this page
Menu
Go to previous topic
Go to home topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • No expanding elements on this page Show/Hide Expanders

AEP позволяет создавать отладочные сообщения с помощью захвата входящих сообщений.

Существуют следующие режимы захвата

Значок | Описание
iconcatch | Захват первого сообщения из потока входящих сообщений.
iconcatchall | Захват всех сообщений из потока входящих сообщений

Захват сообщений автоматически отключается после захвата необходимого количества сообщений.

Сообщения добавляются в папку Debug Messages, используя настройки Фильтров правил. Если сообщение не подошло ни для одного правила, оно добавляется к последнему правилу.

Смотри также

Debug Alert

Отладка правил

Отладочные сообщения

Обозреватель Журнала


Информация для программистов

TweakMarketing web site

Navigation: Информация для программистов:

Введение
No contents entries on this page
Contents
Topic functions menu
Menu
Go to previous topic
Go to home topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • No expanding elements on this page Show/Hide Expanders

AEP предоставляет набор компонентов обработки, позволяющий решать большинство обычных задач по извлечению, изменению и сохранению данных. Если этого набора по каким-то причинам не хватает, то обработку данных можно проводить с помощью более общих средств.

В роли таких средств в AEP выступают:

·Скриптовые компоненты

·ActiveX объекты

·Внешние программы

·Динамически загружаемые библиотеки

Скриптовые компоненты

Скриптовые компоненты содержат исходный код на скриптовых языках программирования, который выполняется при обработке сообщения. AEP предоставляет компоненты для большинства скриптовых языков программирования, в том числе JScript и VBScript.

Использование скриптовых компонентов позволяет значительно расширить возможности обработки. Например в скриптовом компоненте можно производить вычисления, работать с ActiveX объектами, использовать массивы.

Скриптовый компонент имеет доступ ко всем переменным, объявленным в правиле. В скриптовых языках переменная представляется объектом типа Object. Имя объекта совпадает с именем переменной. Для доступа к значению переменной, используется свойство .Value этого объекта.

Кроме переменных возможно использование следующих объектов

Переменная | Описание
message | Предоставляет возможность получения данных из обрабатываемого сообщения
debug | Предоставляет возможность записи событий в Журнал

Скриптовые компоненты

Cкриптовые компоненты позволяют использовать в AEP ActiveX объекты. Подробнее смотрите здесь.

Внешние программы

С помощью компонента Run Executable возможно обмениваться данными с внешними программами. Подробнее смотрите здесь.

Динамически загружаемые библиотеки

С помощью компонента Run Dynamic Library возможно вызывать функции динамически загружаемых библиотек. Подробнее смотрите здесь.

Смотри также

Скриптовые компоненты


Использование ActiveX объектов в скриптовых компонентах
No contents entries on this page
Menu
Go to previous topic
Go to home topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • No expanding elements on this page Show/Hide Expanders

Скриптовые компоненты позволяют использовать в AEP ActiveX объекты, что значительно расширяет возможности в обработке и сохранении данных. Ниже приведенный пример кода на скриптовом языке JScript иллюстрирует сохранение обработанных данных в документе Microsoft Excel.

Global Variables:

SenderName

SenderEmail

JScript Code

var wbname = "C:\\Program Files\\Advanced Email Parser\\Examples\\ActiveX\\list.xls";

var wbkey = SenderEmail.Value;

var wbdata = SenderName.Value;

var xl = new ActiveXObject("Excel.Application");

var wb = xl.Workbooks.Open(wbname);

var ws = wb.Worksheets(1);

var item = ws.Columns(1).Find(wbkey);

if(item)

{

item.Cells(1, 2) = wbdata;

}

else

{

var cnt = ws.Rows.Count;

var idx = 1;

while(idx < cnt)

{

if(ws.Cells(idx, 1).Value == null) break;

idx++;

}

ws.Cells(idx, 1) = wbkey;

ws.Cells(idx, 2) = wbdata;

}

wb.Close(true);

Смотри также

Информация для программистов

Скриптовые компоненты


Объект message
No contents entries on this page
Menu
Go to previous topic
Go to home topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • No expanding elements on this page Show/Hide Expanders

Предоставляет доступ к текущему обрабатываемому сообщению.

Subject property

HRESULT get_Subject(BSTR *pVal);

HRESULT put_Subject(BSTR newVal);

Получение или изменение Темы сообщения.

pVal

Указатель на строку, в которую помещается Тема сообщения.

newVal

Строка, в которой содержится новая Тема сообщения.

SenderName property

HRESULT get_SenderName(BSTR *pVal);

HRESULT put_SenderName(BSTR newVal);

Получение или изменение Имени Отправителя сообщения.

pVal

Указатель на строку, в которую помещается Имя Отправителя.

newVal

Строка, в которой содержится новое Имя Отправителя.

SenderEmail property

HRESULT get_SenderEmail(BSTR *pVal);

HRESULT put_SenderEmail(BSTR newVal);

Получение или изменение Адреса Отправителя сообщения.

pVal

Указатель на строку, в которую помещается Адрес Отправителя.

newVal

Строка, в которой содержится новый Адрес Отправителя.

RecipientName property

HRESULT get_RecipientName(BSTR *pVal);

HRESULT put_RecipientName(BSTR newVal);

Получение или изменение Имени Получателя сообщения.

pVal

Указатель на строку, в которую помещается Имя Получателя.

newVal

Строка, в которой содержится новое Имя Получателя.

RecipientEmail property

HRESULT get_RecipientEmail(BSTR *pVal);

HRESULT put_RecipientEmail(BSTR newVal);

Получение или изменение Адреса Получателя сообщения.

pVal

Указатель на строку, в которую помещается Адрес Получателя.

newVal

Строка, в которой содержится новый Адрес Получателя.

Text property

HRESULT get_Text(BSTR *pVal);

HRESULT put_Text(BSTR newVal);

Получение или изменение Тела сообщения.

pVal

Указатель на строку, в которую помещается Тело сообщения.

newVal

Строка, в которой содержится новое Тело сообщения.

Size property

HRESULT get_Size(long *lVal);

Получение размера сообщения.

lVal

Указатель на переменную типа long, в которую помещается размер сообщения.

Account property

HRESULT get_Account(BSTR *pVal);

HRESULT put_Account(BSTR newVal);

Получение или изменение Учетной Записи сообщения.

pVal

Указатель на строку, в которую помещается имя Учетной Записи.

newVal

Строка, в которой содержится новое имя Учетной Записи.

Header property

HRESULT get_Header(BSTR bstrHeader, BSTR *pVal);

Получение заголовка сообщения.

bstrHeader

Строка, содержащая имя извлекаемого заголовка.

pVal

Указатель на строку, в которую помещается значение указанного заголовка.


Объект debug
No contents entries on this page
Menu
Go to previous topic
Go to home topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • No expanding elements on this page Show/Hide Expanders

Предназначен для отладки Блоков и записи строк в Журнал.

HRESULT WriteLog(BSTR bstrData, long lFlags) = 0;

bstrData

Строка для записи в Журнал. Возможна запись нескольких строк одновременно, разделенных переводом строки (\n).

lFlags

Флаг состояния. Может принимать следующие значения:

0x00000000 EMSLOGGER_INFO

Означает, что действие выполнено успешно. В Журнале отображается как iconinfo

0x00000001 EMSLOGGER_WARNING

Означает, что действие выполнено с замечанием. В Журнале отображается как iconwarning

0x00000002 EMSLOGGER_ERROR

Означает, что действие выполнено с ошибкой. В Журнале отображается как iconerror


Глоссарий
No contents entries on this page
Menu
Go to previous topic
Go to home topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • No expanding elements on this page Show/Hide Expanders

Учетная запись

Источник обрабатываемых сообщений.

Фильтрация

Процесс определения необходимости обработки сообщения.

Фильтр (Filter)

Компонент правила, с помощью которого производится фильтрация.

Обработка

Процесс извлечения, изменения и сохранения данных из сообщений.

Очередь обработки

Список сообщений, переданных на обработку.

Список правил

Набор правил, с помощью которого производится фильтрация и обработка входящих сообщений.

Правило (Rule)

Набор компонентов правила, объединяющий настройки фильтрации и способ обработки сообщений в единое целое.

Компонент правила (Rule Component)

Составная часть правила. Фильтр, компонент обработки или отладочное сообщение.

Компонент обработки (Processing Component)

Компонент правила, задающий способ обработки данных.

Операция извлечения (Parser)

Компонент обработки, задающая способ извлечения данных из источников текста в переменные.

Операция обработки (Processor)

Компонент обработки, задающий способ изменения и сохранения данных.

Операция действия (Actor)

Компонент обработки, не изменяющий какие-либо переменные.

Внешний компонент (External Component)

Компонент обработки, позволяющий обрабатывать данные с помощью других программ.

Скриптовый компонент (Script Component)

Компонент обработки, позволяющий обрабатывать данные с помощью программы, написанной на скриптовом языке программирования.

Условие (Condition)

Компонент обработки, позволяющий выполнить отдельный набор компонентов обработки, в зависимости от значения определенной переменной.

Итератор (Iterator)

Компонент обработки, позволяющий обрабатывать строки, блоки, слова и регулярные выражения в заданном источнике текста.

Модификатор (Modifier)

Компонент обработки, позволяющий модифицировать (добавлением, удалением, преобразованием) заданный источник текста или части сообщения.

Источник текста

Поле заголовка сообщения, тело сообщения или переменная.

Режим Посредника

Режим работы с учетной записью, при котором AEP является посредником между почтовым клиентом и почтовым сервером.

Режим Сборщика

Режим работы с учетной записью, при котором загрузка сообщений с почтового сервера осуществляется по расписанию.

Отладочное сообщение (Debug message)

Сообщение, используемое для проверки правильности работы правил.

Захват сообщений

Механизм захвата входящих сообщений и копирования их в отладочные сообщения.


Регистрация
No contents entries on this page
Menu
Go to previous topic
Go to home topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • No expanding elements on this page Show/Hide Expanders

AEP является условно бесплатной программой. Если Вы хотите пользоваться этой программой без ограничений, то вам требуется зарегистрировать (купить) ее.

Купить AEP

Пожалуйста, будьте особенно внимательны при заполнении адреса электронной почты; если Вы ошибетесь, то мы не сможем выслать Вам регистрационный код. Пожалуйста, обратитесь в нашу службу поддержки, если у Вас возникнут вопросы.

После оплаты, мы вышлем Вам регистрационный код, который позволит использовать возможности, недоступные в незарегистрированной версии.

Дополнительную информацию о регистрации программы можно получить:

·на сайте Advanced Email Parser

·в службе поддержки Advanced Email Parser


Ограничения незарегистрированной копии
No contents entries on this page
Menu
Go to previous topic
Go to home topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • No expanding elements on this page Show/Hide Expanders

Незарегистрированная версия Advanced Email Parser полностью функциональна в течение 45 дневного испытательного срока. Кроме того, запросы незарегистрированных пользователей в службу поддержки обрабатываются с меньшим приоритетом.

После регистрации Вы получите серийный номер, который снимет с программы все ограничения. Ваш серийный номер будет работать и со всеми будущими минорными версиями Advanced Email Parser.


Сайт в Интернет
No contents entries on this page
Menu
Go to previous topic
Go to home topic
Go to next topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • No expanding elements on this page Show/Hide Expanders

На веб-сайте Вы можете найти полный список наших программных продуктов, узнать последние новости, подписаться на список рассылки о программе и скачать последнюю версию программы.


Техническая поддержка
No contents entries on this page
Menu
Go to previous topic
Go to home topic
This is the last topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • No expanding elements on this page Show/Hide Expanders

Мы обещаем ответить на ваше письмо, если Вы будете придерживаться следующих правил, когда обращаетесь в службу технической поддержки:

·Если Ваш вопрос касается некорректной работы программного обеспечения, то не забудьте сообщить версию операционной системы, пакета обновления и установленного Microsoft Internet Explorer.

·Пожалуйста, сообщите все дополнительные детали, какие сочтете нужными, чтобы разработчики могли в точности воспроизвести вашу ситуацию.

·Не используйте ненормативную лексику, соблюдайте элементарную вежливость. Если грамотность письма ниже уровня третьего класса начальной школы, то такое письмо также будет проигнорировано. Если Вы учитесь во втором классе, используйте проверку орфографии.

·Уважайте чужое время. Мы знаем, где скачать самый лучший мейлер и знаем, почему ваша звонилка не ловит сигнал "занято". Но мы Вам этого не скажем.

·Если Вы зарегистрированный пользователь, то сообщите в письме Вашу регистрационную информацию. Это позволит нам обработать Ваш запрос быстрее.

Связаться со службой технической поддержки через Web site. Также рекомендуем посетить наш сайт в Интернет, на котором можно найти дополнительную информацию о программе.


Составление списка рассылки в Excel
No contents entries on this page
Menu
This is the first topic
Go to home topic
This is the last topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • No expanding elements on this page Show/Hide Expanders

Описание примера

Этот пример демонстрирует как для обработки сообщений можно использовать ActiveX объекты. ActiveX объекты подключаются с помощью скриптовых компонентов.

Для загрузки примера импортируйте список правил rules.txt из папки Examples\ActiveX.

Пример является решением задачи по составлению списка рассылки. При получении сообщения имя и электронный адрес отправителя сохраняются в документе Excel list.xls, который находится в папке Examples\ActiveX.

NOTE: Для работы этого примера необходима установленная программа MS Excel.

Описание правила примера

Фильтрация

Содержит Subject Filter, который отфильтровывает все сообщения, кроме отладочных сообщений из примера.

Обработка

·Извлечение имени и адреса отправителя.

·Сохранение выделенных данных в документе Excel с помощью исходного кода, написанного на скриптовом языке JScript.

Отладочные сообщения

Содержит отладочное сообщение для демонстрации работы правила.


Пример работы с Block Iterator
No contents entries on this page
Menu
This is the first topic
Go to home topic
This is the last topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • No expanding elements on this page Show/Hide Expanders

Обработка таблицы продаваемых запчастей с многострочными описаниями - Пример работы с Block Iterator.

Описание примера

Этот пример показывает как использовать компонент Block Iterator, который позволяет извлекать данные по блочно, и для каждого извлеченного блока выполнять набор компонентов обработки.

Для загрузки примера импортируйте список правил rules.txt из папки Examples\BlockIterator folder.

Пример является решением задачи извлечения из заказов данных, которые заданы в таблице несколькими строками. При получении сообщения, из него извлекается блок с таблицей. С помощью компонента Block Iterator из этого блока извлекаются многострочные описания для частей одного типа. Такие блоки разбиваются на строки с помощью компонента Line Iterator. Из строк, с помощью Regular Expression Parser, извлекаются значения полей описания. Эти значения сохраняются в текстовом файле в заданном пользователем формате.

Описание правила примера

Фильтрация

Содержит Subject Filter, который отфильтровывает все сообщения, кроме отладочных сообщений из примера.

Обработка

·Извлечение таблицы частей в переменную PartsData.

·Итеративная обработка PartsData, с извлечением каждого блока частей в переменную PartBlock и выполнение для него следующих операций:

oИтеративная обработка PartBlock, с извлечением каждой строки описания части в переменную Part и выполнение для нее следующих операций:

§Пропуск итерации, если Part содержит маркер, отделяющий заказ от найденных по заказу частей.

§Извлечение полей описания частей из Part в переменные PartName, PartCount.

§Сохранение извлеченных данных в текстовом файле.

Отладочные сообщения

Содержит отладочное сообщение для демонстрации работы правила.


Статистика входящих сообщений
No contents entries on this page
Menu
This is the first topic
Go to home topic
This is the last topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • No expanding elements on this page Show/Hide Expanders

Статистика входящих сообщений - пример работы с базой данных.

Описание примера

Этот пример демонстрирует работу операции обработки Database Access, с помощью которой происходит обмен данными с базами данных. Этот компонент позволяет указать источник данных, шаблон SQL инструкции и имена переменных, в которые передаются данные.

Для загрузки примера импортируйте список правил rules.txt из папки Examples\Database.

Пример является решением задачи по ведению статистики входящих сообщений. При получении сообщения имя и электронный адрес отправителя сохраняется в базе данных. Также для каждого отправителя сохраняется количество полученных сообщений, даты получения первого и последнего сообщений.

В качестве источника данных в примере используется таблица STATISTIC из базы данных Microsoft Access stats.mdb, которая находится в папке Examples\Database.

В примере используются следующие SQL инструкции - SELECT, INSERT .. INTO, UPDATE.

Описание правила примера

Фильтрация

Содержит Subject Filter, который отфильтровывает все сообщения, кроме отладочных сообщений из примера.

Обработка

·Извлечение имени и адреса отправителя.

·Поиск в базе данных записи отправителя с такими именем и адресом.

·Если такой отправитель не найден, то создается новая запись, куда вносятся имя и адрес отправителя, текущая дата и единица в количество входящих сообщений.

·Если такой отправитель найден, то обновляются значения даты последнего сообщения и увеличивается на единицу количество входящих сообщений.

Отладочные сообщения

Содержит отладочное сообщение для демонстрации работы правила.


Пример работы с Line Iterator
No contents entries on this page
Menu
This is the first topic
Go to home topic
This is the last topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • No expanding elements on this page Show/Hide Expanders

Обработка таблицы продаваемых запчастей - Пример работы с Line Iterator.

Описание примера

Этот пример показывает как использовать компонент Line Iterator, который позволяет извлекать данные построчно, и для каждой извлеченной строки выполнять набор компонентов обработки.

Для загрузки примера импортируйте список правил rules.txt из папки Examples\LineIterator.

Пример является решением задачи извлечения из заказов данных, которые представлены в табличном виде. При получении сообщения, из него извлекается блок с таблицей. С помощью компонента Line Iterator из этого блока извлекаются строки таблицы. Из них с помощью Regular Expression Parser извлекаются значения полей. Значения полей сохраняются в текстовый файл в заданном пользователем формате.

Описание правила примера

Фильтрация

Содержит Subject Filter, который отфильтровывает все сообщения, кроме отладочных сообщений из примера.

Обработка

·Извлечение таблицы запчастей в переменную PartsBlock.

·Итеративная обработка PartsBlock, с извлечением каждой строки в переменную Part и выполнением для нее следующих операций:

oИзвлечение полей описания частей из Part в переменные PartName, PartMan, PartDc, PartCount.

oСохранение извлеченных данных в текстовом файле.

Отладочные сообщения

Содержит отладочное сообщение для демонстрации работы правила.


Пример использования модификаторов
No contents entries on this page
Menu
This is the first topic
Go to home topic
This is the last topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • No expanding elements on this page Show/Hide Expanders

Проверка на возможные фрауд-заказы - Пример использования модификаторов.

Example Description

Этот пример показывает как использовать модификаторы. Эти компоненты позволяют модифицировать различными способами сообщения, их части и текстовые источники. В этом примере используются Block Modifier и Line Modifier.

Для загрузки примера импортируйте список правил rules.txt из папки Examples\Modifiers.

Пример является решением задачи проверки данных покупателя, которые извлекаются из заказов RegNow. Извлекаются и проверяются IP и электронный адрес заказчика. Если IP является адресом прокси-сервера или электронный адрес заказчика бесплатный, то приоритет сообщения устанавливается высоким. Проверки осуществляются с помощью онлайн служб, запросы к которым выполняются с помощью HTTP Reader.

Описание правила примера

Фильтрация

Содержит Sender Name Filter который отфильтровывает все сообщения, кроме отладочных сообщений примера.

Обработка

·IP и электронный адрес извлекаются в переменные IP и Email.

·Проверка извлеченных данных онлайн службами с помощью компонента HTTP Reader.

·Проверка результатов HTTP запросов и сохранение результатов проверки в переменные IPCheck и EmailCheck.

·Вставка переменных IPCheck и EmailCheck в начало текстового источника Body с помощью компонента Block Modifier.

·Проверка, нужно ли устанавливать высокий приоритет сообщению.

·Установка высокого приоритета сообщения с помощью компонента Line Modifier.

Отладочные Сообщения

Для проверки правила используйте сообщения из папки примера. Вы можете проверить правило этими сообщениями используя учетную запись для файлов сообщений.


Пример работы с Word Iterator
No contents entries on this page
Menu
This is the first topic
Go to home topic
This is the last topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • No expanding elements on this page Show/Hide Expanders

Подсчет слов в сообщении - Пример работы с Word Iterator.

Описание примера

Этот пример показывает как использовать компонент Word Iterator, который позволяет извлекать данные по словам, и для каждого извлеченного слова выполнять набор компонентов обработки.

Для загрузки примера импортируйте список правил rules.txt из папки Examples\WordIterator.

Пример позволяет провести подсчет количества слов в сообщении и записать эти слова в текстовый файл.

Описание правила примера

Фильтрация

Содержит Subject Filter, который отфильтровывает все сообщения, кроме отладочных сообщений из примера.

Обработка

Итеративная обработка текстового источника Body, с извлечение каждого слова в переменную Word и выполнение для него следующих операций:

·Сохранение извлеченного слова и его номера в текстовом файле.

Отладочные сообщения

Содержит отладочное сообщение для демонстрации работы правила.


Вкладка Connection
No contents entries on this page
Menu
This is the first topic
Go to home topic
This is the last topic

  • Scroll to top of this topic Scroll to Top of Page

  • Print the current topic Print Topic

  • No expanding elements on this page Show/Hide Expanders

Эта вкладка позволяет указывать dial-up соединения, для которых учетная запись является включенной.

If Dialup Connected

Включает/выключает режим проверки diaul-up соединения.

Connections List

Показывает список dial-up соединений, установленных на компьютере. Для включенных в списке соединений учетная запись является включенной.

Смотри также

Почта Интернет IMAP